# Huggingface datasets

Huggingface has forked TFDS and provide a lot of text datasets. See
[here](https://huggingface.co/docs/datasets/) for more documentation.


## acronym_identification

The `acronym_identification` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:acronym_identification')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/acronym_identification)
*   [Huggingface](https://huggingface.co/datasets/acronym_identification)

## ade_corpus_v2

The `ade_corpus_v2` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:ade_corpus_v2')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ade_corpus_v2)
*   [Huggingface](https://huggingface.co/datasets/ade_corpus_v2)

## adversarial_qa

The `adversarial_qa` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:adversarial_qa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/adversarial_qa)
*   [Huggingface](https://huggingface.co/datasets/adversarial_qa)

## aeslc

The `aeslc` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:aeslc')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/aeslc)
*   [Huggingface](https://huggingface.co/datasets/aeslc)

## afrikaans_ner_corpus

The `afrikaans_ner_corpus` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:afrikaans_ner_corpus')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/afrikaans_ner_corpus)
*   [Huggingface](https://huggingface.co/datasets/afrikaans_ner_corpus)

## ag_news

The `ag_news` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:ag_news')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ag_news)
*   [Huggingface](https://huggingface.co/datasets/ag_news)

## ai2_arc

The `ai2_arc` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:ai2_arc')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ai2_arc)
*   [Huggingface](https://huggingface.co/datasets/ai2_arc)

## air_dialogue

The `air_dialogue` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:air_dialogue')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/air_dialogue)
*   [Huggingface](https://huggingface.co/datasets/air_dialogue)

## ajgt_twitter_ar

The `ajgt_twitter_ar` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:ajgt_twitter_ar')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ajgt_twitter_ar)
*   [Huggingface](https://huggingface.co/datasets/ajgt_twitter_ar)

## allegro_reviews

The `allegro_reviews` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:allegro_reviews')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/allegro_reviews)
*   [Huggingface](https://huggingface.co/datasets/allegro_reviews)

## allocine

The `allocine` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:allocine')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/allocine)
*   [Huggingface](https://huggingface.co/datasets/allocine)

## alt

The `alt` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:alt')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/alt)
*   [Huggingface](https://huggingface.co/datasets/alt)

## amazon_polarity

The `amazon_polarity` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:amazon_polarity')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/amazon_polarity)
*   [Huggingface](https://huggingface.co/datasets/amazon_polarity)

## amazon_reviews_multi

The `amazon_reviews_multi` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:amazon_reviews_multi')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/amazon_reviews_multi)
*   [Huggingface](https://huggingface.co/datasets/amazon_reviews_multi)

## amazon_us_reviews

The `amazon_us_reviews` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:amazon_us_reviews')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/amazon_us_reviews)
*   [Huggingface](https://huggingface.co/datasets/amazon_us_reviews)

## ambig_qa

The `ambig_qa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:ambig_qa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ambig_qa)
*   [Huggingface](https://huggingface.co/datasets/ambig_qa)

## americas_nli

The `americas_nli` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:americas_nli')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/americas_nli)
*   [Huggingface](https://huggingface.co/datasets/americas_nli)

## ami

The `ami` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:ami')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ami)
*   [Huggingface](https://huggingface.co/datasets/ami)

## amttl

The `amttl` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:amttl')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/amttl)
*   [Huggingface](https://huggingface.co/datasets/amttl)

## anli

The `anli` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:anli')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/anli)
*   [Huggingface](https://huggingface.co/datasets/anli)

## app_reviews

The `app_reviews` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:app_reviews')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/app_reviews)
*   [Huggingface](https://huggingface.co/datasets/app_reviews)

## aqua_rat

The `aqua_rat` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:aqua_rat')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/aqua_rat)
*   [Huggingface](https://huggingface.co/datasets/aqua_rat)

## aquamuse

The `aquamuse` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:aquamuse')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/aquamuse)
*   [Huggingface](https://huggingface.co/datasets/aquamuse)

## ar_cov19

The `ar_cov19` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:ar_cov19')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ar_cov19)
*   [Huggingface](https://huggingface.co/datasets/ar_cov19)

## ar_res_reviews

The `ar_res_reviews` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:ar_res_reviews')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ar_res_reviews)
*   [Huggingface](https://huggingface.co/datasets/ar_res_reviews)

## ar_sarcasm

The `ar_sarcasm` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:ar_sarcasm')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ar_sarcasm)
*   [Huggingface](https://huggingface.co/datasets/ar_sarcasm)

## arabic_billion_words

The `arabic_billion_words` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:arabic_billion_words')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/arabic_billion_words)
*   [Huggingface](https://huggingface.co/datasets/arabic_billion_words)

## arabic_pos_dialect

The `arabic_pos_dialect` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:arabic_pos_dialect')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/arabic_pos_dialect)
*   [Huggingface](https://huggingface.co/datasets/arabic_pos_dialect)

## arabic_speech_corpus

The `arabic_speech_corpus` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:arabic_speech_corpus')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/arabic_speech_corpus)
*   [Huggingface](https://huggingface.co/datasets/arabic_speech_corpus)

## arcd

The `arcd` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:arcd')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/arcd)
*   [Huggingface](https://huggingface.co/datasets/arcd)

## arsentd_lev

The `arsentd_lev` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:arsentd_lev')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/arsentd_lev)
*   [Huggingface](https://huggingface.co/datasets/arsentd_lev)

## art

The `art` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:art')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/art)
*   [Huggingface](https://huggingface.co/datasets/art)

## arxiv_dataset

The `arxiv_dataset` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:arxiv_dataset')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/arxiv_dataset)
*   [Huggingface](https://huggingface.co/datasets/arxiv_dataset)

## ascent_kb

The `ascent_kb` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:ascent_kb')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ascent_kb)
*   [Huggingface](https://huggingface.co/datasets/ascent_kb)

## aslg_pc12

The `aslg_pc12` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:aslg_pc12')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/aslg_pc12)
*   [Huggingface](https://huggingface.co/datasets/aslg_pc12)

## asnq

The `asnq` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:asnq')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/asnq)
*   [Huggingface](https://huggingface.co/datasets/asnq)

## asset

The `asset` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:asset')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/asset)
*   [Huggingface](https://huggingface.co/datasets/asset)

## assin

The `assin` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:assin')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/assin)
*   [Huggingface](https://huggingface.co/datasets/assin)

## assin2

The `assin2` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:assin2')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/assin2)
*   [Huggingface](https://huggingface.co/datasets/assin2)

## atomic

The `atomic` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:atomic')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/atomic)
*   [Huggingface](https://huggingface.co/datasets/atomic)

## autshumato

The `autshumato` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:autshumato')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/autshumato)
*   [Huggingface](https://huggingface.co/datasets/autshumato)

## babi_qa

The `babi_qa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:babi_qa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/babi_qa)
*   [Huggingface](https://huggingface.co/datasets/babi_qa)

## banking77

The `banking77` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:banking77')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/banking77)
*   [Huggingface](https://huggingface.co/datasets/banking77)

## bbaw_egyptian

The `bbaw_egyptian` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:bbaw_egyptian')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/bbaw_egyptian)
*   [Huggingface](https://huggingface.co/datasets/bbaw_egyptian)

## bbc_hindi_nli

The `bbc_hindi_nli` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:bbc_hindi_nli')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/bbc_hindi_nli)
*   [Huggingface](https://huggingface.co/datasets/bbc_hindi_nli)

## bc2gm_corpus

The `bc2gm_corpus` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:bc2gm_corpus')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/bc2gm_corpus)
*   [Huggingface](https://huggingface.co/datasets/bc2gm_corpus)

## beans

The `beans` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:beans')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/beans)
*   [Huggingface](https://huggingface.co/datasets/beans)

## best2009

The `best2009` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:best2009')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/best2009)
*   [Huggingface](https://huggingface.co/datasets/best2009)

## bianet

The `bianet` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:bianet')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/bianet)
*   [Huggingface](https://huggingface.co/datasets/bianet)

## bible_para

The `bible_para` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:bible_para')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/bible_para)
*   [Huggingface](https://huggingface.co/datasets/bible_para)

## big_patent

The `big_patent` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:big_patent')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/big_patent)
*   [Huggingface](https://huggingface.co/datasets/big_patent)

## billsum

The `billsum` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:billsum')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/billsum)
*   [Huggingface](https://huggingface.co/datasets/billsum)

## bing_coronavirus_query_set

The `bing_coronavirus_query_set` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:bing_coronavirus_query_set')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/bing_coronavirus_query_set)
*   [Huggingface](https://huggingface.co/datasets/bing_coronavirus_query_set)

## biomrc

The `biomrc` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:biomrc')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/biomrc)
*   [Huggingface](https://huggingface.co/datasets/biomrc)

## biosses

The `biosses` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:biosses')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/biosses)
*   [Huggingface](https://huggingface.co/datasets/biosses)

## blbooksgenre

The `blbooksgenre` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:blbooksgenre')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/blbooksgenre)
*   [Huggingface](https://huggingface.co/datasets/blbooksgenre)

## blended_skill_talk

The `blended_skill_talk` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:blended_skill_talk')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/blended_skill_talk)
*   [Huggingface](https://huggingface.co/datasets/blended_skill_talk)

## blimp

The `blimp` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:blimp')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/blimp)
*   [Huggingface](https://huggingface.co/datasets/blimp)

## blog_authorship_corpus

The `blog_authorship_corpus` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:blog_authorship_corpus')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/blog_authorship_corpus)
*   [Huggingface](https://huggingface.co/datasets/blog_authorship_corpus)

## bn_hate_speech

The `bn_hate_speech` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:bn_hate_speech')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/bn_hate_speech)
*   [Huggingface](https://huggingface.co/datasets/bn_hate_speech)

## bookcorpus

The `bookcorpus` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:bookcorpus')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/bookcorpus)
*   [Huggingface](https://huggingface.co/datasets/bookcorpus)

## bookcorpusopen

The `bookcorpusopen` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:bookcorpusopen')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/bookcorpusopen)
*   [Huggingface](https://huggingface.co/datasets/bookcorpusopen)

## boolq

The `boolq` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:boolq')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/boolq)
*   [Huggingface](https://huggingface.co/datasets/boolq)

## bprec

The `bprec` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:bprec')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/bprec)
*   [Huggingface](https://huggingface.co/datasets/bprec)

## break_data

The `break_data` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:break_data')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/break_data)
*   [Huggingface](https://huggingface.co/datasets/break_data)

## brwac

The `brwac` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:brwac')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/brwac)
*   [Huggingface](https://huggingface.co/datasets/brwac)

## bsd_ja_en

The `bsd_ja_en` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:bsd_ja_en')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/bsd_ja_en)
*   [Huggingface](https://huggingface.co/datasets/bsd_ja_en)

## bswac

The `bswac` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:bswac')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/bswac)
*   [Huggingface](https://huggingface.co/datasets/bswac)

## c3

The `c3` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:c3')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/c3)
*   [Huggingface](https://huggingface.co/datasets/c3)

## c4

The `c4` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:c4')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/c4)
*   [Huggingface](https://huggingface.co/datasets/c4)

## cail2018

The `cail2018` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:cail2018')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/cail2018)
*   [Huggingface](https://huggingface.co/datasets/cail2018)

## caner

The `caner` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:caner')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/caner)
*   [Huggingface](https://huggingface.co/datasets/caner)

## capes

The `capes` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:capes')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/capes)
*   [Huggingface](https://huggingface.co/datasets/capes)

## casino

The `casino` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:casino')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/casino)
*   [Huggingface](https://huggingface.co/datasets/casino)

## catalonia_independence

The `catalonia_independence` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:catalonia_independence')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/catalonia_independence)
*   [Huggingface](https://huggingface.co/datasets/catalonia_independence)

## cats_vs_dogs

The `cats_vs_dogs` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:cats_vs_dogs')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/cats_vs_dogs)
*   [Huggingface](https://huggingface.co/datasets/cats_vs_dogs)

## cawac

The `cawac` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:cawac')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/cawac)
*   [Huggingface](https://huggingface.co/datasets/cawac)

## cbt

The `cbt` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:cbt')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/cbt)
*   [Huggingface](https://huggingface.co/datasets/cbt)

## cc100

The `cc100` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:cc100')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/cc100)
*   [Huggingface](https://huggingface.co/datasets/cc100)

## cc_news

The `cc_news` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:cc_news')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/cc_news)
*   [Huggingface](https://huggingface.co/datasets/cc_news)

## ccaligned_multilingual

The `ccaligned_multilingual` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:ccaligned_multilingual')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ccaligned_multilingual)
*   [Huggingface](https://huggingface.co/datasets/ccaligned_multilingual)

## cdsc

The `cdsc` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:cdsc')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/cdsc)
*   [Huggingface](https://huggingface.co/datasets/cdsc)

## cdt

The `cdt` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:cdt')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/cdt)
*   [Huggingface](https://huggingface.co/datasets/cdt)

## cedr

The `cedr` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:cedr')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/cedr)
*   [Huggingface](https://huggingface.co/datasets/cedr)

## cfq

The `cfq` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:cfq')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/cfq)
*   [Huggingface](https://huggingface.co/datasets/cfq)

## chr_en

The `chr_en` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:chr_en')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/chr_en)
*   [Huggingface](https://huggingface.co/datasets/chr_en)

## cifar10

The `cifar10` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:cifar10')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/cifar10)
*   [Huggingface](https://huggingface.co/datasets/cifar10)

## cifar100

The `cifar100` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:cifar100')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/cifar100)
*   [Huggingface](https://huggingface.co/datasets/cifar100)

## circa

The `circa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:circa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/circa)
*   [Huggingface](https://huggingface.co/datasets/circa)

## civil_comments

The `civil_comments` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:civil_comments')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/civil_comments)
*   [Huggingface](https://huggingface.co/datasets/civil_comments)

## clickbait_news_bg

The `clickbait_news_bg` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:clickbait_news_bg')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/clickbait_news_bg)
*   [Huggingface](https://huggingface.co/datasets/clickbait_news_bg)

## climate_fever

The `climate_fever` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:climate_fever')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/climate_fever)
*   [Huggingface](https://huggingface.co/datasets/climate_fever)

## clinc_oos

The `clinc_oos` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:clinc_oos')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/clinc_oos)
*   [Huggingface](https://huggingface.co/datasets/clinc_oos)

## clue

The `clue` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:clue')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/clue)
*   [Huggingface](https://huggingface.co/datasets/clue)

## cmrc2018

The `cmrc2018` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:cmrc2018')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/cmrc2018)
*   [Huggingface](https://huggingface.co/datasets/cmrc2018)

## cmu_hinglish_dog

The `cmu_hinglish_dog` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:cmu_hinglish_dog')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/cmu_hinglish_dog)
*   [Huggingface](https://huggingface.co/datasets/cmu_hinglish_dog)

## cnn_dailymail

The `cnn_dailymail` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:cnn_dailymail')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/cnn_dailymail)
*   [Huggingface](https://huggingface.co/datasets/cnn_dailymail)

## coached_conv_pref

The `coached_conv_pref` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:coached_conv_pref')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/coached_conv_pref)
*   [Huggingface](https://huggingface.co/datasets/coached_conv_pref)

## coarse_discourse

The `coarse_discourse` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:coarse_discourse')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/coarse_discourse)
*   [Huggingface](https://huggingface.co/datasets/coarse_discourse)

## codah

The `codah` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:codah')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/codah)
*   [Huggingface](https://huggingface.co/datasets/codah)

## code_search_net

The `code_search_net` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:code_search_net')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/code_search_net)
*   [Huggingface](https://huggingface.co/datasets/code_search_net)

## code_x_glue_cc_clone_detection_big_clone_bench

The `code_x_glue_cc_clone_detection_big_clone_bench` dataset in the
`huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:code_x_glue_cc_clone_detection_big_clone_bench')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/code_x_glue_cc_clone_detection_big_clone_bench)
*   [Huggingface](https://huggingface.co/datasets/code_x_glue_cc_clone_detection_big_clone_bench)

## code_x_glue_cc_clone_detection_poj104

The `code_x_glue_cc_clone_detection_poj104` dataset in the `huggingface`
namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:code_x_glue_cc_clone_detection_poj104')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/code_x_glue_cc_clone_detection_poj104)
*   [Huggingface](https://huggingface.co/datasets/code_x_glue_cc_clone_detection_poj104)

## code_x_glue_cc_cloze_testing_all

The `code_x_glue_cc_cloze_testing_all` dataset in the `huggingface` namespace
can be loaded as follows:

```python
dataset = tfds.load('huggingface:code_x_glue_cc_cloze_testing_all')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/code_x_glue_cc_cloze_testing_all)
*   [Huggingface](https://huggingface.co/datasets/code_x_glue_cc_cloze_testing_all)

## code_x_glue_cc_cloze_testing_maxmin

The `code_x_glue_cc_cloze_testing_maxmin` dataset in the `huggingface` namespace
can be loaded as follows:

```python
dataset = tfds.load('huggingface:code_x_glue_cc_cloze_testing_maxmin')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/code_x_glue_cc_cloze_testing_maxmin)
*   [Huggingface](https://huggingface.co/datasets/code_x_glue_cc_cloze_testing_maxmin)

## code_x_glue_cc_code_completion_line

The `code_x_glue_cc_code_completion_line` dataset in the `huggingface` namespace
can be loaded as follows:

```python
dataset = tfds.load('huggingface:code_x_glue_cc_code_completion_line')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/code_x_glue_cc_code_completion_line)
*   [Huggingface](https://huggingface.co/datasets/code_x_glue_cc_code_completion_line)

## code_x_glue_cc_code_completion_token

The `code_x_glue_cc_code_completion_token` dataset in the `huggingface`
namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:code_x_glue_cc_code_completion_token')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/code_x_glue_cc_code_completion_token)
*   [Huggingface](https://huggingface.co/datasets/code_x_glue_cc_code_completion_token)

## code_x_glue_cc_code_refinement

The `code_x_glue_cc_code_refinement` dataset in the `huggingface` namespace can
be loaded as follows:

```python
dataset = tfds.load('huggingface:code_x_glue_cc_code_refinement')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/code_x_glue_cc_code_refinement)
*   [Huggingface](https://huggingface.co/datasets/code_x_glue_cc_code_refinement)

## code_x_glue_cc_code_to_code_trans

The `code_x_glue_cc_code_to_code_trans` dataset in the `huggingface` namespace
can be loaded as follows:

```python
dataset = tfds.load('huggingface:code_x_glue_cc_code_to_code_trans')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/code_x_glue_cc_code_to_code_trans)
*   [Huggingface](https://huggingface.co/datasets/code_x_glue_cc_code_to_code_trans)

## code_x_glue_cc_defect_detection

The `code_x_glue_cc_defect_detection` dataset in the `huggingface` namespace can
be loaded as follows:

```python
dataset = tfds.load('huggingface:code_x_glue_cc_defect_detection')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/code_x_glue_cc_defect_detection)
*   [Huggingface](https://huggingface.co/datasets/code_x_glue_cc_defect_detection)

## code_x_glue_ct_code_to_text

The `code_x_glue_ct_code_to_text` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:code_x_glue_ct_code_to_text')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/code_x_glue_ct_code_to_text)
*   [Huggingface](https://huggingface.co/datasets/code_x_glue_ct_code_to_text)

## code_x_glue_tc_nl_code_search_adv

The `code_x_glue_tc_nl_code_search_adv` dataset in the `huggingface` namespace
can be loaded as follows:

```python
dataset = tfds.load('huggingface:code_x_glue_tc_nl_code_search_adv')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/code_x_glue_tc_nl_code_search_adv)
*   [Huggingface](https://huggingface.co/datasets/code_x_glue_tc_nl_code_search_adv)

## code_x_glue_tc_text_to_code

The `code_x_glue_tc_text_to_code` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:code_x_glue_tc_text_to_code')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/code_x_glue_tc_text_to_code)
*   [Huggingface](https://huggingface.co/datasets/code_x_glue_tc_text_to_code)

## code_x_glue_tt_text_to_text

The `code_x_glue_tt_text_to_text` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:code_x_glue_tt_text_to_text')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/code_x_glue_tt_text_to_text)
*   [Huggingface](https://huggingface.co/datasets/code_x_glue_tt_text_to_text)

## com_qa

The `com_qa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:com_qa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/com_qa)
*   [Huggingface](https://huggingface.co/datasets/com_qa)

## common_gen

The `common_gen` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:common_gen')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/common_gen)
*   [Huggingface](https://huggingface.co/datasets/common_gen)

## common_language

The `common_language` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:common_language')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/common_language)
*   [Huggingface](https://huggingface.co/datasets/common_language)

## common_voice

The `common_voice` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:common_voice')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/common_voice)
*   [Huggingface](https://huggingface.co/datasets/common_voice)

## commonsense_qa

The `commonsense_qa` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:commonsense_qa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/commonsense_qa)
*   [Huggingface](https://huggingface.co/datasets/commonsense_qa)

## competition_math

The `competition_math` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:competition_math')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/competition_math)
*   [Huggingface](https://huggingface.co/datasets/competition_math)

## compguesswhat

The `compguesswhat` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:compguesswhat')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/compguesswhat)
*   [Huggingface](https://huggingface.co/datasets/compguesswhat)

## conceptnet5

The `conceptnet5` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:conceptnet5')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/conceptnet5)
*   [Huggingface](https://huggingface.co/datasets/conceptnet5)

## conll2000

The `conll2000` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:conll2000')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/conll2000)
*   [Huggingface](https://huggingface.co/datasets/conll2000)

## conll2002

The `conll2002` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:conll2002')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/conll2002)
*   [Huggingface](https://huggingface.co/datasets/conll2002)

## conll2003

The `conll2003` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:conll2003')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/conll2003)
*   [Huggingface](https://huggingface.co/datasets/conll2003)

## conllpp

The `conllpp` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:conllpp')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/conllpp)
*   [Huggingface](https://huggingface.co/datasets/conllpp)

## conv_ai

The `conv_ai` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:conv_ai')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/conv_ai)
*   [Huggingface](https://huggingface.co/datasets/conv_ai)

## conv_ai_2

The `conv_ai_2` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:conv_ai_2')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/conv_ai_2)
*   [Huggingface](https://huggingface.co/datasets/conv_ai_2)

## conv_ai_3

The `conv_ai_3` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:conv_ai_3')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/conv_ai_3)
*   [Huggingface](https://huggingface.co/datasets/conv_ai_3)

## conv_questions

The `conv_questions` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:conv_questions')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/conv_questions)
*   [Huggingface](https://huggingface.co/datasets/conv_questions)

## coqa

The `coqa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:coqa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/coqa)
*   [Huggingface](https://huggingface.co/datasets/coqa)

## cord19

The `cord19` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:cord19')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/cord19)
*   [Huggingface](https://huggingface.co/datasets/cord19)

## cornell_movie_dialog

The `cornell_movie_dialog` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:cornell_movie_dialog')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/cornell_movie_dialog)
*   [Huggingface](https://huggingface.co/datasets/cornell_movie_dialog)

## cos_e

The `cos_e` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:cos_e')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/cos_e)
*   [Huggingface](https://huggingface.co/datasets/cos_e)

## cosmos_qa

The `cosmos_qa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:cosmos_qa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/cosmos_qa)
*   [Huggingface](https://huggingface.co/datasets/cosmos_qa)

## counter

The `counter` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:counter')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/counter)
*   [Huggingface](https://huggingface.co/datasets/counter)

## covid_qa_castorini

The `covid_qa_castorini` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:covid_qa_castorini')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/covid_qa_castorini)
*   [Huggingface](https://huggingface.co/datasets/covid_qa_castorini)

## covid_qa_deepset

The `covid_qa_deepset` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:covid_qa_deepset')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/covid_qa_deepset)
*   [Huggingface](https://huggingface.co/datasets/covid_qa_deepset)

## covid_qa_ucsd

The `covid_qa_ucsd` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:covid_qa_ucsd')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/covid_qa_ucsd)
*   [Huggingface](https://huggingface.co/datasets/covid_qa_ucsd)

## covid_tweets_japanese

The `covid_tweets_japanese` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:covid_tweets_japanese')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/covid_tweets_japanese)
*   [Huggingface](https://huggingface.co/datasets/covid_tweets_japanese)

## covost2

The `covost2` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:covost2')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/covost2)
*   [Huggingface](https://huggingface.co/datasets/covost2)

## craigslist_bargains

The `craigslist_bargains` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:craigslist_bargains')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/craigslist_bargains)
*   [Huggingface](https://huggingface.co/datasets/craigslist_bargains)

## crawl_domain

The `crawl_domain` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:crawl_domain')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/crawl_domain)
*   [Huggingface](https://huggingface.co/datasets/crawl_domain)

## crd3

The `crd3` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:crd3')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/crd3)
*   [Huggingface](https://huggingface.co/datasets/crd3)

## crime_and_punish

The `crime_and_punish` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:crime_and_punish')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/crime_and_punish)
*   [Huggingface](https://huggingface.co/datasets/crime_and_punish)

## crows_pairs

The `crows_pairs` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:crows_pairs')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/crows_pairs)
*   [Huggingface](https://huggingface.co/datasets/crows_pairs)

## cryptonite

The `cryptonite` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:cryptonite')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/cryptonite)
*   [Huggingface](https://huggingface.co/datasets/cryptonite)

## cs_restaurants

The `cs_restaurants` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:cs_restaurants')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/cs_restaurants)
*   [Huggingface](https://huggingface.co/datasets/cs_restaurants)

## cuad

The `cuad` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:cuad')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/cuad)
*   [Huggingface](https://huggingface.co/datasets/cuad)

## curiosity_dialogs

The `curiosity_dialogs` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:curiosity_dialogs')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/curiosity_dialogs)
*   [Huggingface](https://huggingface.co/datasets/curiosity_dialogs)

## daily_dialog

The `daily_dialog` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:daily_dialog')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/daily_dialog)
*   [Huggingface](https://huggingface.co/datasets/daily_dialog)

## dane

The `dane` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:dane')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/dane)
*   [Huggingface](https://huggingface.co/datasets/dane)

## danish_political_comments

The `danish_political_comments` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:danish_political_comments')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/danish_political_comments)
*   [Huggingface](https://huggingface.co/datasets/danish_political_comments)

## dart

The `dart` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:dart')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/dart)
*   [Huggingface](https://huggingface.co/datasets/dart)

## datacommons_factcheck

The `datacommons_factcheck` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:datacommons_factcheck')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/datacommons_factcheck)
*   [Huggingface](https://huggingface.co/datasets/datacommons_factcheck)

## dbpedia_14

The `dbpedia_14` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:dbpedia_14')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/dbpedia_14)
*   [Huggingface](https://huggingface.co/datasets/dbpedia_14)

## dbrd

The `dbrd` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:dbrd')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/dbrd)
*   [Huggingface](https://huggingface.co/datasets/dbrd)

## deal_or_no_dialog

The `deal_or_no_dialog` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:deal_or_no_dialog')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/deal_or_no_dialog)
*   [Huggingface](https://huggingface.co/datasets/deal_or_no_dialog)

## definite_pronoun_resolution

The `definite_pronoun_resolution` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:definite_pronoun_resolution')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/definite_pronoun_resolution)
*   [Huggingface](https://huggingface.co/datasets/definite_pronoun_resolution)

## dengue_filipino

The `dengue_filipino` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:dengue_filipino')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/dengue_filipino)
*   [Huggingface](https://huggingface.co/datasets/dengue_filipino)

## dialog_re

The `dialog_re` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:dialog_re')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/dialog_re)
*   [Huggingface](https://huggingface.co/datasets/dialog_re)

## diplomacy_detection

The `diplomacy_detection` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:diplomacy_detection')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/diplomacy_detection)
*   [Huggingface](https://huggingface.co/datasets/diplomacy_detection)

## disaster_response_messages

The `disaster_response_messages` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:disaster_response_messages')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/disaster_response_messages)
*   [Huggingface](https://huggingface.co/datasets/disaster_response_messages)

## discofuse

The `discofuse` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:discofuse')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/discofuse)
*   [Huggingface](https://huggingface.co/datasets/discofuse)

## discovery

The `discovery` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:discovery')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/discovery)
*   [Huggingface](https://huggingface.co/datasets/discovery)

## disfl_qa

The `disfl_qa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:disfl_qa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/disfl_qa)
*   [Huggingface](https://huggingface.co/datasets/disfl_qa)

## doc2dial

The `doc2dial` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:doc2dial')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/doc2dial)
*   [Huggingface](https://huggingface.co/datasets/doc2dial)

## docred

The `docred` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:docred')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/docred)
*   [Huggingface](https://huggingface.co/datasets/docred)

## doqa

The `doqa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:doqa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/doqa)
*   [Huggingface](https://huggingface.co/datasets/doqa)

## dream

The `dream` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:dream')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/dream)
*   [Huggingface](https://huggingface.co/datasets/dream)

## drop

The `drop` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:drop')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/drop)
*   [Huggingface](https://huggingface.co/datasets/drop)

## duorc

The `duorc` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:duorc')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/duorc)
*   [Huggingface](https://huggingface.co/datasets/duorc)

## dutch_social

The `dutch_social` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:dutch_social')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/dutch_social)
*   [Huggingface](https://huggingface.co/datasets/dutch_social)

## dyk

The `dyk` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:dyk')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/dyk)
*   [Huggingface](https://huggingface.co/datasets/dyk)

## e2e_nlg

The `e2e_nlg` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:e2e_nlg')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/e2e_nlg)
*   [Huggingface](https://huggingface.co/datasets/e2e_nlg)

## e2e_nlg_cleaned

The `e2e_nlg_cleaned` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:e2e_nlg_cleaned')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/e2e_nlg_cleaned)
*   [Huggingface](https://huggingface.co/datasets/e2e_nlg_cleaned)

## ecb

The `ecb` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:ecb')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ecb)
*   [Huggingface](https://huggingface.co/datasets/ecb)

## ecthr_cases

The `ecthr_cases` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:ecthr_cases')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ecthr_cases)
*   [Huggingface](https://huggingface.co/datasets/ecthr_cases)

## eduge

The `eduge` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:eduge')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/eduge)
*   [Huggingface](https://huggingface.co/datasets/eduge)

## ehealth_kd

The `ehealth_kd` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:ehealth_kd')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ehealth_kd)
*   [Huggingface](https://huggingface.co/datasets/ehealth_kd)

## eitb_parcc

The `eitb_parcc` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:eitb_parcc')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/eitb_parcc)
*   [Huggingface](https://huggingface.co/datasets/eitb_parcc)

## eli5

The `eli5` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:eli5')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/eli5)
*   [Huggingface](https://huggingface.co/datasets/eli5)

## eli5_category

The `eli5_category` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:eli5_category')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/eli5_category)
*   [Huggingface](https://huggingface.co/datasets/eli5_category)

## emea

The `emea` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:emea')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/emea)
*   [Huggingface](https://huggingface.co/datasets/emea)

## emo

The `emo` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:emo')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/emo)
*   [Huggingface](https://huggingface.co/datasets/emo)

## emotion

The `emotion` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:emotion')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/emotion)
*   [Huggingface](https://huggingface.co/datasets/emotion)

## emotone_ar

The `emotone_ar` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:emotone_ar')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/emotone_ar)
*   [Huggingface](https://huggingface.co/datasets/emotone_ar)

## empathetic_dialogues

The `empathetic_dialogues` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:empathetic_dialogues')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/empathetic_dialogues)
*   [Huggingface](https://huggingface.co/datasets/empathetic_dialogues)

## enriched_web_nlg

The `enriched_web_nlg` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:enriched_web_nlg')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/enriched_web_nlg)
*   [Huggingface](https://huggingface.co/datasets/enriched_web_nlg)

## eraser_multi_rc

The `eraser_multi_rc` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:eraser_multi_rc')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/eraser_multi_rc)
*   [Huggingface](https://huggingface.co/datasets/eraser_multi_rc)

## esnli

The `esnli` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:esnli')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/esnli)
*   [Huggingface](https://huggingface.co/datasets/esnli)

## eth_py150_open

The `eth_py150_open` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:eth_py150_open')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/eth_py150_open)
*   [Huggingface](https://huggingface.co/datasets/eth_py150_open)

## ethos

The `ethos` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:ethos')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ethos)
*   [Huggingface](https://huggingface.co/datasets/ethos)

## eu_regulatory_ir

The `eu_regulatory_ir` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:eu_regulatory_ir')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/eu_regulatory_ir)
*   [Huggingface](https://huggingface.co/datasets/eu_regulatory_ir)

## eurlex

The `eurlex` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:eurlex')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/eurlex)
*   [Huggingface](https://huggingface.co/datasets/eurlex)

## euronews

The `euronews` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:euronews')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/euronews)
*   [Huggingface](https://huggingface.co/datasets/euronews)

## europa_eac_tm

The `europa_eac_tm` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:europa_eac_tm')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/europa_eac_tm)
*   [Huggingface](https://huggingface.co/datasets/europa_eac_tm)

## europa_ecdc_tm

The `europa_ecdc_tm` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:europa_ecdc_tm')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/europa_ecdc_tm)
*   [Huggingface](https://huggingface.co/datasets/europa_ecdc_tm)

## europarl_bilingual

The `europarl_bilingual` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:europarl_bilingual')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/europarl_bilingual)
*   [Huggingface](https://huggingface.co/datasets/europarl_bilingual)

## event2Mind

The `event2Mind` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:event2Mind')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/event2Mind)
*   [Huggingface](https://huggingface.co/datasets/event2Mind)

## evidence_infer_treatment

The `evidence_infer_treatment` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:evidence_infer_treatment')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/evidence_infer_treatment)
*   [Huggingface](https://huggingface.co/datasets/evidence_infer_treatment)

## exams

The `exams` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:exams')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/exams)
*   [Huggingface](https://huggingface.co/datasets/exams)

## factckbr

The `factckbr` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:factckbr')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/factckbr)
*   [Huggingface](https://huggingface.co/datasets/factckbr)

## fake_news_english

The `fake_news_english` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:fake_news_english')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/fake_news_english)
*   [Huggingface](https://huggingface.co/datasets/fake_news_english)

## fake_news_filipino

The `fake_news_filipino` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:fake_news_filipino')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/fake_news_filipino)
*   [Huggingface](https://huggingface.co/datasets/fake_news_filipino)

## farsi_news

The `farsi_news` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:farsi_news')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/farsi_news)
*   [Huggingface](https://huggingface.co/datasets/farsi_news)

## fashion_mnist

The `fashion_mnist` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:fashion_mnist')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/fashion_mnist)
*   [Huggingface](https://huggingface.co/datasets/fashion_mnist)

## fever

The `fever` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:fever')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/fever)
*   [Huggingface](https://huggingface.co/datasets/fever)

## few_rel

The `few_rel` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:few_rel')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/few_rel)
*   [Huggingface](https://huggingface.co/datasets/few_rel)

## financial_phrasebank

The `financial_phrasebank` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:financial_phrasebank')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/financial_phrasebank)
*   [Huggingface](https://huggingface.co/datasets/financial_phrasebank)

## finer

The `finer` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:finer')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/finer)
*   [Huggingface](https://huggingface.co/datasets/finer)

## flores

The `flores` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:flores')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/flores)
*   [Huggingface](https://huggingface.co/datasets/flores)

## flue

The `flue` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:flue')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/flue)
*   [Huggingface](https://huggingface.co/datasets/flue)

## food101

The `food101` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:food101')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/food101)
*   [Huggingface](https://huggingface.co/datasets/food101)

## fquad

The `fquad` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:fquad')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/fquad)
*   [Huggingface](https://huggingface.co/datasets/fquad)

## freebase_qa

The `freebase_qa` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:freebase_qa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/freebase_qa)
*   [Huggingface](https://huggingface.co/datasets/freebase_qa)

## gap

The `gap` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:gap')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/gap)
*   [Huggingface](https://huggingface.co/datasets/gap)

## gem

The `gem` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:gem')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/gem)
*   [Huggingface](https://huggingface.co/datasets/gem)

## generated_reviews_enth

The `generated_reviews_enth` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:generated_reviews_enth')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/generated_reviews_enth)
*   [Huggingface](https://huggingface.co/datasets/generated_reviews_enth)

## generics_kb

The `generics_kb` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:generics_kb')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/generics_kb)
*   [Huggingface](https://huggingface.co/datasets/generics_kb)

## german_legal_entity_recognition

The `german_legal_entity_recognition` dataset in the `huggingface` namespace can
be loaded as follows:

```python
dataset = tfds.load('huggingface:german_legal_entity_recognition')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/german_legal_entity_recognition)
*   [Huggingface](https://huggingface.co/datasets/german_legal_entity_recognition)

## germaner

The `germaner` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:germaner')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/germaner)
*   [Huggingface](https://huggingface.co/datasets/germaner)

## germeval_14

The `germeval_14` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:germeval_14')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/germeval_14)
*   [Huggingface](https://huggingface.co/datasets/germeval_14)

## giga_fren

The `giga_fren` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:giga_fren')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/giga_fren)
*   [Huggingface](https://huggingface.co/datasets/giga_fren)

## gigaword

The `gigaword` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:gigaword')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/gigaword)
*   [Huggingface](https://huggingface.co/datasets/gigaword)

## glucose

The `glucose` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:glucose')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/glucose)
*   [Huggingface](https://huggingface.co/datasets/glucose)

## glue

The `glue` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:glue')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/glue)
*   [Huggingface](https://huggingface.co/datasets/glue)

## gnad10

The `gnad10` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:gnad10')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/gnad10)
*   [Huggingface](https://huggingface.co/datasets/gnad10)

## go_emotions

The `go_emotions` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:go_emotions')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/go_emotions)
*   [Huggingface](https://huggingface.co/datasets/go_emotions)

## gooaq

The `gooaq` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:gooaq')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/gooaq)
*   [Huggingface](https://huggingface.co/datasets/gooaq)

## google_wellformed_query

The `google_wellformed_query` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:google_wellformed_query')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/google_wellformed_query)
*   [Huggingface](https://huggingface.co/datasets/google_wellformed_query)

## grail_qa

The `grail_qa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:grail_qa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/grail_qa)
*   [Huggingface](https://huggingface.co/datasets/grail_qa)

## great_code

The `great_code` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:great_code')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/great_code)
*   [Huggingface](https://huggingface.co/datasets/great_code)

## greek_legal_code

The `greek_legal_code` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:greek_legal_code')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/greek_legal_code)
*   [Huggingface](https://huggingface.co/datasets/greek_legal_code)

## guardian_authorship

The `guardian_authorship` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:guardian_authorship')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/guardian_authorship)
*   [Huggingface](https://huggingface.co/datasets/guardian_authorship)

## gutenberg_time

The `gutenberg_time` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:gutenberg_time')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/gutenberg_time)
*   [Huggingface](https://huggingface.co/datasets/gutenberg_time)

## hans

The `hans` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:hans')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hans)
*   [Huggingface](https://huggingface.co/datasets/hans)

## hansards

The `hansards` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:hansards')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hansards)
*   [Huggingface](https://huggingface.co/datasets/hansards)

## hard

The `hard` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:hard')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hard)
*   [Huggingface](https://huggingface.co/datasets/hard)

## harem

The `harem` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:harem')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/harem)
*   [Huggingface](https://huggingface.co/datasets/harem)

## has_part

The `has_part` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:has_part')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/has_part)
*   [Huggingface](https://huggingface.co/datasets/has_part)

## hate_offensive

The `hate_offensive` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:hate_offensive')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hate_offensive)
*   [Huggingface](https://huggingface.co/datasets/hate_offensive)

## hate_speech18

The `hate_speech18` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:hate_speech18')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hate_speech18)
*   [Huggingface](https://huggingface.co/datasets/hate_speech18)

## hate_speech_filipino

The `hate_speech_filipino` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:hate_speech_filipino')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hate_speech_filipino)
*   [Huggingface](https://huggingface.co/datasets/hate_speech_filipino)

## hate_speech_offensive

The `hate_speech_offensive` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:hate_speech_offensive')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hate_speech_offensive)
*   [Huggingface](https://huggingface.co/datasets/hate_speech_offensive)

## hate_speech_pl

The `hate_speech_pl` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:hate_speech_pl')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hate_speech_pl)
*   [Huggingface](https://huggingface.co/datasets/hate_speech_pl)

## hate_speech_portuguese

The `hate_speech_portuguese` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:hate_speech_portuguese')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hate_speech_portuguese)
*   [Huggingface](https://huggingface.co/datasets/hate_speech_portuguese)

## hatexplain

The `hatexplain` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:hatexplain')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hatexplain)
*   [Huggingface](https://huggingface.co/datasets/hatexplain)

## hausa_voa_ner

The `hausa_voa_ner` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:hausa_voa_ner')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hausa_voa_ner)
*   [Huggingface](https://huggingface.co/datasets/hausa_voa_ner)

## hausa_voa_topics

The `hausa_voa_topics` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:hausa_voa_topics')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hausa_voa_topics)
*   [Huggingface](https://huggingface.co/datasets/hausa_voa_topics)

## hda_nli_hindi

The `hda_nli_hindi` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:hda_nli_hindi')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hda_nli_hindi)
*   [Huggingface](https://huggingface.co/datasets/hda_nli_hindi)

## head_qa

The `head_qa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:head_qa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/head_qa)
*   [Huggingface](https://huggingface.co/datasets/head_qa)

## health_fact

The `health_fact` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:health_fact')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/health_fact)
*   [Huggingface](https://huggingface.co/datasets/health_fact)

## hebrew_projectbenyehuda

The `hebrew_projectbenyehuda` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:hebrew_projectbenyehuda')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hebrew_projectbenyehuda)
*   [Huggingface](https://huggingface.co/datasets/hebrew_projectbenyehuda)

## hebrew_sentiment

The `hebrew_sentiment` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:hebrew_sentiment')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hebrew_sentiment)
*   [Huggingface](https://huggingface.co/datasets/hebrew_sentiment)

## hebrew_this_world

The `hebrew_this_world` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:hebrew_this_world')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hebrew_this_world)
*   [Huggingface](https://huggingface.co/datasets/hebrew_this_world)

## hellaswag

The `hellaswag` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:hellaswag')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hellaswag)
*   [Huggingface](https://huggingface.co/datasets/hellaswag)

## hendrycks_test

The `hendrycks_test` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:hendrycks_test')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hendrycks_test)
*   [Huggingface](https://huggingface.co/datasets/hendrycks_test)

## hind_encorp

The `hind_encorp` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:hind_encorp')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hind_encorp)
*   [Huggingface](https://huggingface.co/datasets/hind_encorp)

## hindi_discourse

The `hindi_discourse` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:hindi_discourse')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hindi_discourse)
*   [Huggingface](https://huggingface.co/datasets/hindi_discourse)

## hippocorpus

The `hippocorpus` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:hippocorpus')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hippocorpus)
*   [Huggingface](https://huggingface.co/datasets/hippocorpus)

## hkcancor

The `hkcancor` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:hkcancor')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hkcancor)
*   [Huggingface](https://huggingface.co/datasets/hkcancor)

## hlgd

The `hlgd` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:hlgd')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hlgd)
*   [Huggingface](https://huggingface.co/datasets/hlgd)

## hope_edi

The `hope_edi` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:hope_edi')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hope_edi)
*   [Huggingface](https://huggingface.co/datasets/hope_edi)

## hotpot_qa

The `hotpot_qa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:hotpot_qa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hotpot_qa)
*   [Huggingface](https://huggingface.co/datasets/hotpot_qa)

## hover

The `hover` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:hover')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hover)
*   [Huggingface](https://huggingface.co/datasets/hover)

## hrenwac_para

The `hrenwac_para` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:hrenwac_para')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hrenwac_para)
*   [Huggingface](https://huggingface.co/datasets/hrenwac_para)

## hrwac

The `hrwac` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:hrwac')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hrwac)
*   [Huggingface](https://huggingface.co/datasets/hrwac)

## humicroedit

The `humicroedit` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:humicroedit')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/humicroedit)
*   [Huggingface](https://huggingface.co/datasets/humicroedit)

## hybrid_qa

The `hybrid_qa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:hybrid_qa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hybrid_qa)
*   [Huggingface](https://huggingface.co/datasets/hybrid_qa)

## hyperpartisan_news_detection

The `hyperpartisan_news_detection` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:hyperpartisan_news_detection')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/hyperpartisan_news_detection)
*   [Huggingface](https://huggingface.co/datasets/hyperpartisan_news_detection)

## iapp_wiki_qa_squad

The `iapp_wiki_qa_squad` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:iapp_wiki_qa_squad')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/iapp_wiki_qa_squad)
*   [Huggingface](https://huggingface.co/datasets/iapp_wiki_qa_squad)

## id_clickbait

The `id_clickbait` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:id_clickbait')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/id_clickbait)
*   [Huggingface](https://huggingface.co/datasets/id_clickbait)

## id_liputan6

The `id_liputan6` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:id_liputan6')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/id_liputan6)
*   [Huggingface](https://huggingface.co/datasets/id_liputan6)

## id_nergrit_corpus

The `id_nergrit_corpus` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:id_nergrit_corpus')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/id_nergrit_corpus)
*   [Huggingface](https://huggingface.co/datasets/id_nergrit_corpus)

## id_newspapers_2018

The `id_newspapers_2018` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:id_newspapers_2018')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/id_newspapers_2018)
*   [Huggingface](https://huggingface.co/datasets/id_newspapers_2018)

## id_panl_bppt

The `id_panl_bppt` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:id_panl_bppt')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/id_panl_bppt)
*   [Huggingface](https://huggingface.co/datasets/id_panl_bppt)

## id_puisi

The `id_puisi` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:id_puisi')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/id_puisi)
*   [Huggingface](https://huggingface.co/datasets/id_puisi)

## igbo_english_machine_translation

The `igbo_english_machine_translation` dataset in the `huggingface` namespace
can be loaded as follows:

```python
dataset = tfds.load('huggingface:igbo_english_machine_translation')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/igbo_english_machine_translation)
*   [Huggingface](https://huggingface.co/datasets/igbo_english_machine_translation)

## igbo_monolingual

The `igbo_monolingual` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:igbo_monolingual')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/igbo_monolingual)
*   [Huggingface](https://huggingface.co/datasets/igbo_monolingual)

## igbo_ner

The `igbo_ner` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:igbo_ner')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/igbo_ner)
*   [Huggingface](https://huggingface.co/datasets/igbo_ner)

## ilist

The `ilist` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:ilist')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ilist)
*   [Huggingface](https://huggingface.co/datasets/ilist)

## imdb

The `imdb` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:imdb')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/imdb)
*   [Huggingface](https://huggingface.co/datasets/imdb)

## imdb_urdu_reviews

The `imdb_urdu_reviews` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:imdb_urdu_reviews')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/imdb_urdu_reviews)
*   [Huggingface](https://huggingface.co/datasets/imdb_urdu_reviews)

## imppres

The `imppres` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:imppres')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/imppres)
*   [Huggingface](https://huggingface.co/datasets/imppres)

## indic_glue

The `indic_glue` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:indic_glue')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/indic_glue)
*   [Huggingface](https://huggingface.co/datasets/indic_glue)

## indonli

The `indonli` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:indonli')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/indonli)
*   [Huggingface](https://huggingface.co/datasets/indonli)

## indonlu

The `indonlu` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:indonlu')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/indonlu)
*   [Huggingface](https://huggingface.co/datasets/indonlu)

## inquisitive_qg

The `inquisitive_qg` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:inquisitive_qg')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/inquisitive_qg)
*   [Huggingface](https://huggingface.co/datasets/inquisitive_qg)

## interpress_news_category_tr

The `interpress_news_category_tr` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:interpress_news_category_tr')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/interpress_news_category_tr)
*   [Huggingface](https://huggingface.co/datasets/interpress_news_category_tr)

## interpress_news_category_tr_lite

The `interpress_news_category_tr_lite` dataset in the `huggingface` namespace
can be loaded as follows:

```python
dataset = tfds.load('huggingface:interpress_news_category_tr_lite')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/interpress_news_category_tr_lite)
*   [Huggingface](https://huggingface.co/datasets/interpress_news_category_tr_lite)

## irc_disentangle

The `irc_disentangle` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:irc_disentangle')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/irc_disentangle)
*   [Huggingface](https://huggingface.co/datasets/irc_disentangle)

## isixhosa_ner_corpus

The `isixhosa_ner_corpus` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:isixhosa_ner_corpus')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/isixhosa_ner_corpus)
*   [Huggingface](https://huggingface.co/datasets/isixhosa_ner_corpus)

## isizulu_ner_corpus

The `isizulu_ner_corpus` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:isizulu_ner_corpus')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/isizulu_ner_corpus)
*   [Huggingface](https://huggingface.co/datasets/isizulu_ner_corpus)

## iwslt2017

The `iwslt2017` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:iwslt2017')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/iwslt2017)
*   [Huggingface](https://huggingface.co/datasets/iwslt2017)

## jeopardy

The `jeopardy` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:jeopardy')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/jeopardy)
*   [Huggingface](https://huggingface.co/datasets/jeopardy)

## jfleg

The `jfleg` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:jfleg')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/jfleg)
*   [Huggingface](https://huggingface.co/datasets/jfleg)

## jigsaw_toxicity_pred

The `jigsaw_toxicity_pred` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:jigsaw_toxicity_pred')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/jigsaw_toxicity_pred)
*   [Huggingface](https://huggingface.co/datasets/jigsaw_toxicity_pred)

## jigsaw_unintended_bias

The `jigsaw_unintended_bias` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:jigsaw_unintended_bias')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/jigsaw_unintended_bias)
*   [Huggingface](https://huggingface.co/datasets/jigsaw_unintended_bias)

## jnlpba

The `jnlpba` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:jnlpba')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/jnlpba)
*   [Huggingface](https://huggingface.co/datasets/jnlpba)

## journalists_questions

The `journalists_questions` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:journalists_questions')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/journalists_questions)
*   [Huggingface](https://huggingface.co/datasets/journalists_questions)

## kan_hope

The `kan_hope` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:kan_hope')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/kan_hope)
*   [Huggingface](https://huggingface.co/datasets/kan_hope)

## kannada_news

The `kannada_news` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:kannada_news')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/kannada_news)
*   [Huggingface](https://huggingface.co/datasets/kannada_news)

## kd_conv

The `kd_conv` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:kd_conv')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/kd_conv)
*   [Huggingface](https://huggingface.co/datasets/kd_conv)

## kde4

The `kde4` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:kde4')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/kde4)
*   [Huggingface](https://huggingface.co/datasets/kde4)

## kelm

The `kelm` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:kelm')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/kelm)
*   [Huggingface](https://huggingface.co/datasets/kelm)

## kilt_tasks

The `kilt_tasks` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:kilt_tasks')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/kilt_tasks)
*   [Huggingface](https://huggingface.co/datasets/kilt_tasks)

## kilt_wikipedia

The `kilt_wikipedia` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:kilt_wikipedia')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/kilt_wikipedia)
*   [Huggingface](https://huggingface.co/datasets/kilt_wikipedia)

## kinnews_kirnews

The `kinnews_kirnews` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:kinnews_kirnews')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/kinnews_kirnews)
*   [Huggingface](https://huggingface.co/datasets/kinnews_kirnews)

## klue

The `klue` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:klue')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/klue)
*   [Huggingface](https://huggingface.co/datasets/klue)

## kor_3i4k

The `kor_3i4k` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:kor_3i4k')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/kor_3i4k)
*   [Huggingface](https://huggingface.co/datasets/kor_3i4k)

## kor_hate

The `kor_hate` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:kor_hate')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/kor_hate)
*   [Huggingface](https://huggingface.co/datasets/kor_hate)

## kor_ner

The `kor_ner` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:kor_ner')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/kor_ner)
*   [Huggingface](https://huggingface.co/datasets/kor_ner)

## kor_nli

The `kor_nli` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:kor_nli')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/kor_nli)
*   [Huggingface](https://huggingface.co/datasets/kor_nli)

## kor_nlu

The `kor_nlu` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:kor_nlu')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/kor_nlu)
*   [Huggingface](https://huggingface.co/datasets/kor_nlu)

## kor_qpair

The `kor_qpair` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:kor_qpair')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/kor_qpair)
*   [Huggingface](https://huggingface.co/datasets/kor_qpair)

## kor_sae

The `kor_sae` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:kor_sae')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/kor_sae)
*   [Huggingface](https://huggingface.co/datasets/kor_sae)

## kor_sarcasm

The `kor_sarcasm` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:kor_sarcasm')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/kor_sarcasm)
*   [Huggingface](https://huggingface.co/datasets/kor_sarcasm)

## labr

The `labr` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:labr')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/labr)
*   [Huggingface](https://huggingface.co/datasets/labr)

## lama

The `lama` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:lama')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/lama)
*   [Huggingface](https://huggingface.co/datasets/lama)

## lambada

The `lambada` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:lambada')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/lambada)
*   [Huggingface](https://huggingface.co/datasets/lambada)

## large_spanish_corpus

The `large_spanish_corpus` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:large_spanish_corpus')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/large_spanish_corpus)
*   [Huggingface](https://huggingface.co/datasets/large_spanish_corpus)

## laroseda

The `laroseda` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:laroseda')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/laroseda)
*   [Huggingface](https://huggingface.co/datasets/laroseda)

## lc_quad

The `lc_quad` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:lc_quad')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/lc_quad)
*   [Huggingface](https://huggingface.co/datasets/lc_quad)

## lener_br

The `lener_br` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:lener_br')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/lener_br)
*   [Huggingface](https://huggingface.co/datasets/lener_br)

## lex_glue

The `lex_glue` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:lex_glue')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/lex_glue)
*   [Huggingface](https://huggingface.co/datasets/lex_glue)

## liar

The `liar` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:liar')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/liar)
*   [Huggingface](https://huggingface.co/datasets/liar)

## librispeech_asr

The `librispeech_asr` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:librispeech_asr')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/librispeech_asr)
*   [Huggingface](https://huggingface.co/datasets/librispeech_asr)

## librispeech_lm

The `librispeech_lm` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:librispeech_lm')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/librispeech_lm)
*   [Huggingface](https://huggingface.co/datasets/librispeech_lm)

## limit

The `limit` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:limit')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/limit)
*   [Huggingface](https://huggingface.co/datasets/limit)

## lince

The `lince` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:lince')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/lince)
*   [Huggingface](https://huggingface.co/datasets/lince)

## linnaeus

The `linnaeus` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:linnaeus')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/linnaeus)
*   [Huggingface](https://huggingface.co/datasets/linnaeus)

## liveqa

The `liveqa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:liveqa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/liveqa)
*   [Huggingface](https://huggingface.co/datasets/liveqa)

## lj_speech

The `lj_speech` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:lj_speech')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/lj_speech)
*   [Huggingface](https://huggingface.co/datasets/lj_speech)

## lm1b

The `lm1b` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:lm1b')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/lm1b)
*   [Huggingface](https://huggingface.co/datasets/lm1b)

## lst20

The `lst20` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:lst20')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/lst20)
*   [Huggingface](https://huggingface.co/datasets/lst20)

## m_lama

The `m_lama` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:m_lama')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/m_lama)
*   [Huggingface](https://huggingface.co/datasets/m_lama)

## mac_morpho

The `mac_morpho` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:mac_morpho')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/mac_morpho)
*   [Huggingface](https://huggingface.co/datasets/mac_morpho)

## makhzan

The `makhzan` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:makhzan')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/makhzan)
*   [Huggingface](https://huggingface.co/datasets/makhzan)

## masakhaner

The `masakhaner` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:masakhaner')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/masakhaner)
*   [Huggingface](https://huggingface.co/datasets/masakhaner)

## math_dataset

The `math_dataset` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:math_dataset')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/math_dataset)
*   [Huggingface](https://huggingface.co/datasets/math_dataset)

## math_qa

The `math_qa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:math_qa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/math_qa)
*   [Huggingface](https://huggingface.co/datasets/math_qa)

## matinf

The `matinf` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:matinf')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/matinf)
*   [Huggingface](https://huggingface.co/datasets/matinf)

## mbpp

The `mbpp` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:mbpp')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/mbpp)
*   [Huggingface](https://huggingface.co/datasets/mbpp)

## mc4

The `mc4` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:mc4')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/mc4)
*   [Huggingface](https://huggingface.co/datasets/mc4)

## mc_taco

The `mc_taco` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:mc_taco')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/mc_taco)
*   [Huggingface](https://huggingface.co/datasets/mc_taco)

## md_gender_bias

The `md_gender_bias` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:md_gender_bias')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/md_gender_bias)
*   [Huggingface](https://huggingface.co/datasets/md_gender_bias)

## mdd

The `mdd` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:mdd')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/mdd)
*   [Huggingface](https://huggingface.co/datasets/mdd)

## med_hop

The `med_hop` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:med_hop')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/med_hop)
*   [Huggingface](https://huggingface.co/datasets/med_hop)

## medal

The `medal` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:medal')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/medal)
*   [Huggingface](https://huggingface.co/datasets/medal)

## medical_dialog

The `medical_dialog` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:medical_dialog')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/medical_dialog)
*   [Huggingface](https://huggingface.co/datasets/medical_dialog)

## medical_questions_pairs

The `medical_questions_pairs` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:medical_questions_pairs')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/medical_questions_pairs)
*   [Huggingface](https://huggingface.co/datasets/medical_questions_pairs)

## menyo20k_mt

The `menyo20k_mt` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:menyo20k_mt')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/menyo20k_mt)
*   [Huggingface](https://huggingface.co/datasets/menyo20k_mt)

## meta_woz

The `meta_woz` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:meta_woz')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/meta_woz)
*   [Huggingface](https://huggingface.co/datasets/meta_woz)

## metooma

The `metooma` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:metooma')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/metooma)
*   [Huggingface](https://huggingface.co/datasets/metooma)

## metrec

The `metrec` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:metrec')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/metrec)
*   [Huggingface](https://huggingface.co/datasets/metrec)

## miam

The `miam` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:miam')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/miam)
*   [Huggingface](https://huggingface.co/datasets/miam)

## mkb

The `mkb` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:mkb')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/mkb)
*   [Huggingface](https://huggingface.co/datasets/mkb)

## mkqa

The `mkqa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:mkqa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/mkqa)
*   [Huggingface](https://huggingface.co/datasets/mkqa)

## mlqa

The `mlqa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:mlqa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/mlqa)
*   [Huggingface](https://huggingface.co/datasets/mlqa)

## mlsum

The `mlsum` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:mlsum')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/mlsum)
*   [Huggingface](https://huggingface.co/datasets/mlsum)

## mnist

The `mnist` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:mnist')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/mnist)
*   [Huggingface](https://huggingface.co/datasets/mnist)

## mocha

The `mocha` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:mocha')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/mocha)
*   [Huggingface](https://huggingface.co/datasets/mocha)

## moroco

The `moroco` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:moroco')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/moroco)
*   [Huggingface](https://huggingface.co/datasets/moroco)

## movie_rationales

The `movie_rationales` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:movie_rationales')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/movie_rationales)
*   [Huggingface](https://huggingface.co/datasets/movie_rationales)

## mrqa

The `mrqa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:mrqa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/mrqa)
*   [Huggingface](https://huggingface.co/datasets/mrqa)

## ms_marco

The `ms_marco` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:ms_marco')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ms_marco)
*   [Huggingface](https://huggingface.co/datasets/ms_marco)

## ms_terms

The `ms_terms` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:ms_terms')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ms_terms)
*   [Huggingface](https://huggingface.co/datasets/ms_terms)

## msr_genomics_kbcomp

The `msr_genomics_kbcomp` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:msr_genomics_kbcomp')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/msr_genomics_kbcomp)
*   [Huggingface](https://huggingface.co/datasets/msr_genomics_kbcomp)

## msr_sqa

The `msr_sqa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:msr_sqa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/msr_sqa)
*   [Huggingface](https://huggingface.co/datasets/msr_sqa)

## msr_text_compression

The `msr_text_compression` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:msr_text_compression')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/msr_text_compression)
*   [Huggingface](https://huggingface.co/datasets/msr_text_compression)

## msr_zhen_translation_parity

The `msr_zhen_translation_parity` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:msr_zhen_translation_parity')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/msr_zhen_translation_parity)
*   [Huggingface](https://huggingface.co/datasets/msr_zhen_translation_parity)

## msra_ner

The `msra_ner` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:msra_ner')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/msra_ner)
*   [Huggingface](https://huggingface.co/datasets/msra_ner)

## mt_eng_vietnamese

The `mt_eng_vietnamese` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:mt_eng_vietnamese')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/mt_eng_vietnamese)
*   [Huggingface](https://huggingface.co/datasets/mt_eng_vietnamese)

## muchocine

The `muchocine` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:muchocine')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/muchocine)
*   [Huggingface](https://huggingface.co/datasets/muchocine)

## multi_booked

The `multi_booked` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:multi_booked')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/multi_booked)
*   [Huggingface](https://huggingface.co/datasets/multi_booked)

## multi_eurlex

The `multi_eurlex` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:multi_eurlex')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/multi_eurlex)
*   [Huggingface](https://huggingface.co/datasets/multi_eurlex)

## multi_news

The `multi_news` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:multi_news')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/multi_news)
*   [Huggingface](https://huggingface.co/datasets/multi_news)

## multi_nli

The `multi_nli` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:multi_nli')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/multi_nli)
*   [Huggingface](https://huggingface.co/datasets/multi_nli)

## multi_nli_mismatch

The `multi_nli_mismatch` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:multi_nli_mismatch')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/multi_nli_mismatch)
*   [Huggingface](https://huggingface.co/datasets/multi_nli_mismatch)

## multi_para_crawl

The `multi_para_crawl` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:multi_para_crawl')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/multi_para_crawl)
*   [Huggingface](https://huggingface.co/datasets/multi_para_crawl)

## multi_re_qa

The `multi_re_qa` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:multi_re_qa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/multi_re_qa)
*   [Huggingface](https://huggingface.co/datasets/multi_re_qa)

## multi_woz_v22

The `multi_woz_v22` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:multi_woz_v22')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/multi_woz_v22)
*   [Huggingface](https://huggingface.co/datasets/multi_woz_v22)

## multi_x_science_sum

The `multi_x_science_sum` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:multi_x_science_sum')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/multi_x_science_sum)
*   [Huggingface](https://huggingface.co/datasets/multi_x_science_sum)

## multidoc2dial

The `multidoc2dial` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:multidoc2dial')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/multidoc2dial)
*   [Huggingface](https://huggingface.co/datasets/multidoc2dial)

## multilingual_librispeech

The `multilingual_librispeech` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:multilingual_librispeech')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/multilingual_librispeech)
*   [Huggingface](https://huggingface.co/datasets/multilingual_librispeech)

## mutual_friends

The `mutual_friends` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:mutual_friends')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/mutual_friends)
*   [Huggingface](https://huggingface.co/datasets/mutual_friends)

## mwsc

The `mwsc` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:mwsc')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/mwsc)
*   [Huggingface](https://huggingface.co/datasets/mwsc)

## myanmar_news

The `myanmar_news` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:myanmar_news')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/myanmar_news)
*   [Huggingface](https://huggingface.co/datasets/myanmar_news)

## narrativeqa

The `narrativeqa` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:narrativeqa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/narrativeqa)
*   [Huggingface](https://huggingface.co/datasets/narrativeqa)

## narrativeqa_manual

The `narrativeqa_manual` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:narrativeqa_manual')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/narrativeqa_manual)
*   [Huggingface](https://huggingface.co/datasets/narrativeqa_manual)

## natural_questions

The `natural_questions` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:natural_questions')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/natural_questions)
*   [Huggingface](https://huggingface.co/datasets/natural_questions)

## ncbi_disease

The `ncbi_disease` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:ncbi_disease')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ncbi_disease)
*   [Huggingface](https://huggingface.co/datasets/ncbi_disease)

## nchlt

The `nchlt` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:nchlt')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/nchlt)
*   [Huggingface](https://huggingface.co/datasets/nchlt)

## ncslgr

The `ncslgr` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:ncslgr')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ncslgr)
*   [Huggingface](https://huggingface.co/datasets/ncslgr)

## nell

The `nell` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:nell')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/nell)
*   [Huggingface](https://huggingface.co/datasets/nell)

## neural_code_search

The `neural_code_search` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:neural_code_search')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/neural_code_search)
*   [Huggingface](https://huggingface.co/datasets/neural_code_search)

## news_commentary

The `news_commentary` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:news_commentary')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/news_commentary)
*   [Huggingface](https://huggingface.co/datasets/news_commentary)

## newsgroup

The `newsgroup` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:newsgroup')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/newsgroup)
*   [Huggingface](https://huggingface.co/datasets/newsgroup)

## newsph

The `newsph` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:newsph')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/newsph)
*   [Huggingface](https://huggingface.co/datasets/newsph)

## newsph_nli

The `newsph_nli` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:newsph_nli')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/newsph_nli)
*   [Huggingface](https://huggingface.co/datasets/newsph_nli)

## newspop

The `newspop` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:newspop')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/newspop)
*   [Huggingface](https://huggingface.co/datasets/newspop)

## newsqa

The `newsqa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:newsqa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/newsqa)
*   [Huggingface](https://huggingface.co/datasets/newsqa)

## newsroom

The `newsroom` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:newsroom')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/newsroom)
*   [Huggingface](https://huggingface.co/datasets/newsroom)

## nkjp-ner

The `nkjp-ner` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:nkjp-ner')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/nkjp-ner)
*   [Huggingface](https://huggingface.co/datasets/nkjp-ner)

## nli_tr

The `nli_tr` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:nli_tr')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/nli_tr)
*   [Huggingface](https://huggingface.co/datasets/nli_tr)

## nlu_evaluation_data

The `nlu_evaluation_data` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:nlu_evaluation_data')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/nlu_evaluation_data)
*   [Huggingface](https://huggingface.co/datasets/nlu_evaluation_data)

## norec

The `norec` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:norec')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/norec)
*   [Huggingface](https://huggingface.co/datasets/norec)

## norne

The `norne` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:norne')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/norne)
*   [Huggingface](https://huggingface.co/datasets/norne)

## norwegian_ner

The `norwegian_ner` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:norwegian_ner')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/norwegian_ner)
*   [Huggingface](https://huggingface.co/datasets/norwegian_ner)

## nq_open

The `nq_open` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:nq_open')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/nq_open)
*   [Huggingface](https://huggingface.co/datasets/nq_open)

## nsmc

The `nsmc` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:nsmc')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/nsmc)
*   [Huggingface](https://huggingface.co/datasets/nsmc)

## numer_sense

The `numer_sense` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:numer_sense')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/numer_sense)
*   [Huggingface](https://huggingface.co/datasets/numer_sense)

## numeric_fused_head

The `numeric_fused_head` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:numeric_fused_head')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/numeric_fused_head)
*   [Huggingface](https://huggingface.co/datasets/numeric_fused_head)

## oclar

The `oclar` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:oclar')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/oclar)
*   [Huggingface](https://huggingface.co/datasets/oclar)

## offcombr

The `offcombr` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:offcombr')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/offcombr)
*   [Huggingface](https://huggingface.co/datasets/offcombr)

## offenseval2020_tr

The `offenseval2020_tr` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:offenseval2020_tr')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/offenseval2020_tr)
*   [Huggingface](https://huggingface.co/datasets/offenseval2020_tr)

## offenseval_dravidian

The `offenseval_dravidian` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:offenseval_dravidian')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/offenseval_dravidian)
*   [Huggingface](https://huggingface.co/datasets/offenseval_dravidian)

## ofis_publik

The `ofis_publik` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:ofis_publik')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ofis_publik)
*   [Huggingface](https://huggingface.co/datasets/ofis_publik)

## ohsumed

The `ohsumed` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:ohsumed')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ohsumed)
*   [Huggingface](https://huggingface.co/datasets/ohsumed)

## ollie

The `ollie` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:ollie')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ollie)
*   [Huggingface](https://huggingface.co/datasets/ollie)

## omp

The `omp` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:omp')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/omp)
*   [Huggingface](https://huggingface.co/datasets/omp)

## onestop_english

The `onestop_english` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:onestop_english')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/onestop_english)
*   [Huggingface](https://huggingface.co/datasets/onestop_english)

## open_subtitles

The `open_subtitles` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:open_subtitles')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/open_subtitles)
*   [Huggingface](https://huggingface.co/datasets/open_subtitles)

## openai_humaneval

The `openai_humaneval` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:openai_humaneval')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/openai_humaneval)
*   [Huggingface](https://huggingface.co/datasets/openai_humaneval)

## openbookqa

The `openbookqa` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:openbookqa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/openbookqa)
*   [Huggingface](https://huggingface.co/datasets/openbookqa)

## openslr

The `openslr` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:openslr')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/openslr)
*   [Huggingface](https://huggingface.co/datasets/openslr)

## openwebtext

The `openwebtext` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:openwebtext')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/openwebtext)
*   [Huggingface](https://huggingface.co/datasets/openwebtext)

## opinosis

The `opinosis` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:opinosis')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opinosis)
*   [Huggingface](https://huggingface.co/datasets/opinosis)

## opus100

The `opus100` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:opus100')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus100)
*   [Huggingface](https://huggingface.co/datasets/opus100)

## opus_books

The `opus_books` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:opus_books')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus_books)
*   [Huggingface](https://huggingface.co/datasets/opus_books)

## opus_dgt

The `opus_dgt` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:opus_dgt')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus_dgt)
*   [Huggingface](https://huggingface.co/datasets/opus_dgt)

## opus_dogc

The `opus_dogc` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:opus_dogc')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus_dogc)
*   [Huggingface](https://huggingface.co/datasets/opus_dogc)

## opus_elhuyar

The `opus_elhuyar` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:opus_elhuyar')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus_elhuyar)
*   [Huggingface](https://huggingface.co/datasets/opus_elhuyar)

## opus_euconst

The `opus_euconst` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:opus_euconst')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus_euconst)
*   [Huggingface](https://huggingface.co/datasets/opus_euconst)

## opus_finlex

The `opus_finlex` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:opus_finlex')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus_finlex)
*   [Huggingface](https://huggingface.co/datasets/opus_finlex)

## opus_fiskmo

The `opus_fiskmo` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:opus_fiskmo')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus_fiskmo)
*   [Huggingface](https://huggingface.co/datasets/opus_fiskmo)

## opus_gnome

The `opus_gnome` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:opus_gnome')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus_gnome)
*   [Huggingface](https://huggingface.co/datasets/opus_gnome)

## opus_infopankki

The `opus_infopankki` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:opus_infopankki')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus_infopankki)
*   [Huggingface](https://huggingface.co/datasets/opus_infopankki)

## opus_memat

The `opus_memat` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:opus_memat')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus_memat)
*   [Huggingface](https://huggingface.co/datasets/opus_memat)

## opus_montenegrinsubs

The `opus_montenegrinsubs` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:opus_montenegrinsubs')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus_montenegrinsubs)
*   [Huggingface](https://huggingface.co/datasets/opus_montenegrinsubs)

## opus_openoffice

The `opus_openoffice` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:opus_openoffice')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus_openoffice)
*   [Huggingface](https://huggingface.co/datasets/opus_openoffice)

## opus_paracrawl

The `opus_paracrawl` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:opus_paracrawl')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus_paracrawl)
*   [Huggingface](https://huggingface.co/datasets/opus_paracrawl)

## opus_rf

The `opus_rf` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:opus_rf')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus_rf)
*   [Huggingface](https://huggingface.co/datasets/opus_rf)

## opus_tedtalks

The `opus_tedtalks` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:opus_tedtalks')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus_tedtalks)
*   [Huggingface](https://huggingface.co/datasets/opus_tedtalks)

## opus_ubuntu

The `opus_ubuntu` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:opus_ubuntu')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus_ubuntu)
*   [Huggingface](https://huggingface.co/datasets/opus_ubuntu)

## opus_wikipedia

The `opus_wikipedia` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:opus_wikipedia')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus_wikipedia)
*   [Huggingface](https://huggingface.co/datasets/opus_wikipedia)

## opus_xhosanavy

The `opus_xhosanavy` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:opus_xhosanavy')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus_xhosanavy)
*   [Huggingface](https://huggingface.co/datasets/opus_xhosanavy)

## orange_sum

The `orange_sum` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:orange_sum')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/orange_sum)
*   [Huggingface](https://huggingface.co/datasets/orange_sum)

## oscar

The `oscar` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:oscar')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/oscar)
*   [Huggingface](https://huggingface.co/datasets/oscar)

## para_crawl

The `para_crawl` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:para_crawl')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/para_crawl)
*   [Huggingface](https://huggingface.co/datasets/para_crawl)

## para_pat

The `para_pat` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:para_pat')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/para_pat)
*   [Huggingface](https://huggingface.co/datasets/para_pat)

## parsinlu_reading_comprehension

The `parsinlu_reading_comprehension` dataset in the `huggingface` namespace can
be loaded as follows:

```python
dataset = tfds.load('huggingface:parsinlu_reading_comprehension')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/parsinlu_reading_comprehension)
*   [Huggingface](https://huggingface.co/datasets/parsinlu_reading_comprehension)

## paws

The `paws` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:paws')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/paws)
*   [Huggingface](https://huggingface.co/datasets/paws)

## paws-x

The `paws-x` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:paws-x')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/paws-x)
*   [Huggingface](https://huggingface.co/datasets/paws-x)

## pec

The `pec` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:pec')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/pec)
*   [Huggingface](https://huggingface.co/datasets/pec)

## peer_read

The `peer_read` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:peer_read')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/peer_read)
*   [Huggingface](https://huggingface.co/datasets/peer_read)

## peoples_daily_ner

The `peoples_daily_ner` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:peoples_daily_ner')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/peoples_daily_ner)
*   [Huggingface](https://huggingface.co/datasets/peoples_daily_ner)

## per_sent

The `per_sent` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:per_sent')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/per_sent)
*   [Huggingface](https://huggingface.co/datasets/per_sent)

## persian_ner

The `persian_ner` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:persian_ner')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/persian_ner)
*   [Huggingface](https://huggingface.co/datasets/persian_ner)

## pg19

The `pg19` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:pg19')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/pg19)
*   [Huggingface](https://huggingface.co/datasets/pg19)

## php

The `php` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:php')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/php)
*   [Huggingface](https://huggingface.co/datasets/php)

## piaf

The `piaf` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:piaf')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/piaf)
*   [Huggingface](https://huggingface.co/datasets/piaf)

## pib

The `pib` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:pib')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/pib)
*   [Huggingface](https://huggingface.co/datasets/pib)

## piqa

The `piqa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:piqa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/piqa)
*   [Huggingface](https://huggingface.co/datasets/piqa)

## pn_summary

The `pn_summary` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:pn_summary')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/pn_summary)
*   [Huggingface](https://huggingface.co/datasets/pn_summary)

## poem_sentiment

The `poem_sentiment` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:poem_sentiment')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/poem_sentiment)
*   [Huggingface](https://huggingface.co/datasets/poem_sentiment)

## polemo2

The `polemo2` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:polemo2')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/polemo2)
*   [Huggingface](https://huggingface.co/datasets/polemo2)

## poleval2019_cyberbullying

The `poleval2019_cyberbullying` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:poleval2019_cyberbullying')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/poleval2019_cyberbullying)
*   [Huggingface](https://huggingface.co/datasets/poleval2019_cyberbullying)

## poleval2019_mt

The `poleval2019_mt` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:poleval2019_mt')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/poleval2019_mt)
*   [Huggingface](https://huggingface.co/datasets/poleval2019_mt)

## polsum

The `polsum` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:polsum')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/polsum)
*   [Huggingface](https://huggingface.co/datasets/polsum)

## polyglot_ner

The `polyglot_ner` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:polyglot_ner')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/polyglot_ner)
*   [Huggingface](https://huggingface.co/datasets/polyglot_ner)

## prachathai67k

The `prachathai67k` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:prachathai67k')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/prachathai67k)
*   [Huggingface](https://huggingface.co/datasets/prachathai67k)

## pragmeval

The `pragmeval` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:pragmeval')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/pragmeval)
*   [Huggingface](https://huggingface.co/datasets/pragmeval)

## proto_qa

The `proto_qa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:proto_qa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/proto_qa)
*   [Huggingface](https://huggingface.co/datasets/proto_qa)

## psc

The `psc` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:psc')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/psc)
*   [Huggingface](https://huggingface.co/datasets/psc)

## ptb_text_only

The `ptb_text_only` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:ptb_text_only')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ptb_text_only)
*   [Huggingface](https://huggingface.co/datasets/ptb_text_only)

## pubmed

The `pubmed` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:pubmed')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/pubmed)
*   [Huggingface](https://huggingface.co/datasets/pubmed)

## pubmed_qa

The `pubmed_qa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:pubmed_qa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/pubmed_qa)
*   [Huggingface](https://huggingface.co/datasets/pubmed_qa)

## py_ast

The `py_ast` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:py_ast')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/py_ast)
*   [Huggingface](https://huggingface.co/datasets/py_ast)

## qa4mre

The `qa4mre` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:qa4mre')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/qa4mre)
*   [Huggingface](https://huggingface.co/datasets/qa4mre)

## qa_srl

The `qa_srl` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:qa_srl')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/qa_srl)
*   [Huggingface](https://huggingface.co/datasets/qa_srl)

## qa_zre

The `qa_zre` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:qa_zre')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/qa_zre)
*   [Huggingface](https://huggingface.co/datasets/qa_zre)

## qangaroo

The `qangaroo` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:qangaroo')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/qangaroo)
*   [Huggingface](https://huggingface.co/datasets/qangaroo)

## qanta

The `qanta` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:qanta')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/qanta)
*   [Huggingface](https://huggingface.co/datasets/qanta)

## qasc

The `qasc` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:qasc')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/qasc)
*   [Huggingface](https://huggingface.co/datasets/qasc)

## qasper

The `qasper` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:qasper')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/qasper)
*   [Huggingface](https://huggingface.co/datasets/qasper)

## qed

The `qed` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:qed')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/qed)
*   [Huggingface](https://huggingface.co/datasets/qed)

## qed_amara

The `qed_amara` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:qed_amara')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/qed_amara)
*   [Huggingface](https://huggingface.co/datasets/qed_amara)

## quac

The `quac` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:quac')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/quac)
*   [Huggingface](https://huggingface.co/datasets/quac)

## quail

The `quail` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:quail')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/quail)
*   [Huggingface](https://huggingface.co/datasets/quail)

## quarel

The `quarel` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:quarel')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/quarel)
*   [Huggingface](https://huggingface.co/datasets/quarel)

## quartz

The `quartz` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:quartz')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/quartz)
*   [Huggingface](https://huggingface.co/datasets/quartz)

## quora

The `quora` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:quora')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/quora)
*   [Huggingface](https://huggingface.co/datasets/quora)

## quoref

The `quoref` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:quoref')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/quoref)
*   [Huggingface](https://huggingface.co/datasets/quoref)

## race

The `race` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:race')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/race)
*   [Huggingface](https://huggingface.co/datasets/race)

## re_dial

The `re_dial` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:re_dial')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/re_dial)
*   [Huggingface](https://huggingface.co/datasets/re_dial)

## reasoning_bg

The `reasoning_bg` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:reasoning_bg')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/reasoning_bg)
*   [Huggingface](https://huggingface.co/datasets/reasoning_bg)

## recipe_nlg

The `recipe_nlg` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:recipe_nlg')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/recipe_nlg)
*   [Huggingface](https://huggingface.co/datasets/recipe_nlg)

## reclor

The `reclor` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:reclor')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/reclor)
*   [Huggingface](https://huggingface.co/datasets/reclor)

## reddit

The `reddit` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:reddit')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/reddit)
*   [Huggingface](https://huggingface.co/datasets/reddit)

## reddit_tifu

The `reddit_tifu` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:reddit_tifu')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/reddit_tifu)
*   [Huggingface](https://huggingface.co/datasets/reddit_tifu)

## refresd

The `refresd` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:refresd')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/refresd)
*   [Huggingface](https://huggingface.co/datasets/refresd)

## reuters21578

The `reuters21578` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:reuters21578')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/reuters21578)
*   [Huggingface](https://huggingface.co/datasets/reuters21578)

## riddle_sense

The `riddle_sense` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:riddle_sense')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/riddle_sense)
*   [Huggingface](https://huggingface.co/datasets/riddle_sense)

## ro_sent

The `ro_sent` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:ro_sent')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ro_sent)
*   [Huggingface](https://huggingface.co/datasets/ro_sent)

## ro_sts

The `ro_sts` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:ro_sts')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ro_sts)
*   [Huggingface](https://huggingface.co/datasets/ro_sts)

## ro_sts_parallel

The `ro_sts_parallel` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:ro_sts_parallel')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ro_sts_parallel)
*   [Huggingface](https://huggingface.co/datasets/ro_sts_parallel)

## roman_urdu

The `roman_urdu` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:roman_urdu')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/roman_urdu)
*   [Huggingface](https://huggingface.co/datasets/roman_urdu)

## ronec

The `ronec` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:ronec')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ronec)
*   [Huggingface](https://huggingface.co/datasets/ronec)

## ropes

The `ropes` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:ropes')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ropes)
*   [Huggingface](https://huggingface.co/datasets/ropes)

## rotten_tomatoes

The `rotten_tomatoes` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:rotten_tomatoes')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/rotten_tomatoes)
*   [Huggingface](https://huggingface.co/datasets/rotten_tomatoes)

## russian_super_glue

The `russian_super_glue` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:russian_super_glue')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/russian_super_glue)
*   [Huggingface](https://huggingface.co/datasets/russian_super_glue)

## s2orc

The `s2orc` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:s2orc')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/s2orc)
*   [Huggingface](https://huggingface.co/datasets/s2orc)

## samsum

The `samsum` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:samsum')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/samsum)
*   [Huggingface](https://huggingface.co/datasets/samsum)

## sanskrit_classic

The `sanskrit_classic` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:sanskrit_classic')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/sanskrit_classic)
*   [Huggingface](https://huggingface.co/datasets/sanskrit_classic)

## saudinewsnet

The `saudinewsnet` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:saudinewsnet')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/saudinewsnet)
*   [Huggingface](https://huggingface.co/datasets/saudinewsnet)

## sberquad

The `sberquad` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:sberquad')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/sberquad)
*   [Huggingface](https://huggingface.co/datasets/sberquad)

## scan

The `scan` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:scan')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/scan)
*   [Huggingface](https://huggingface.co/datasets/scan)

## scb_mt_enth_2020

The `scb_mt_enth_2020` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:scb_mt_enth_2020')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/scb_mt_enth_2020)
*   [Huggingface](https://huggingface.co/datasets/scb_mt_enth_2020)

## schema_guided_dstc8

The `schema_guided_dstc8` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:schema_guided_dstc8')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/schema_guided_dstc8)
*   [Huggingface](https://huggingface.co/datasets/schema_guided_dstc8)

## scicite

The `scicite` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:scicite')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/scicite)
*   [Huggingface](https://huggingface.co/datasets/scicite)

## scielo

The `scielo` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:scielo')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/scielo)
*   [Huggingface](https://huggingface.co/datasets/scielo)

## scientific_papers

The `scientific_papers` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:scientific_papers')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/scientific_papers)
*   [Huggingface](https://huggingface.co/datasets/scientific_papers)

## scifact

The `scifact` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:scifact')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/scifact)
*   [Huggingface](https://huggingface.co/datasets/scifact)

## sciq

The `sciq` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:sciq')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/sciq)
*   [Huggingface](https://huggingface.co/datasets/sciq)

## scitail

The `scitail` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:scitail')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/scitail)
*   [Huggingface](https://huggingface.co/datasets/scitail)

## scitldr

The `scitldr` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:scitldr')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/scitldr)
*   [Huggingface](https://huggingface.co/datasets/scitldr)

## search_qa

The `search_qa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:search_qa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/search_qa)
*   [Huggingface](https://huggingface.co/datasets/search_qa)

## sede

The `sede` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:sede')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/sede)
*   [Huggingface](https://huggingface.co/datasets/sede)

## selqa

The `selqa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:selqa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/selqa)
*   [Huggingface](https://huggingface.co/datasets/selqa)

## sem_eval_2010_task_8

The `sem_eval_2010_task_8` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:sem_eval_2010_task_8')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/sem_eval_2010_task_8)
*   [Huggingface](https://huggingface.co/datasets/sem_eval_2010_task_8)

## sem_eval_2014_task_1

The `sem_eval_2014_task_1` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:sem_eval_2014_task_1')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/sem_eval_2014_task_1)
*   [Huggingface](https://huggingface.co/datasets/sem_eval_2014_task_1)

## sem_eval_2018_task_1

The `sem_eval_2018_task_1` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:sem_eval_2018_task_1')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/sem_eval_2018_task_1)
*   [Huggingface](https://huggingface.co/datasets/sem_eval_2018_task_1)

## sem_eval_2020_task_11

The `sem_eval_2020_task_11` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:sem_eval_2020_task_11')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/sem_eval_2020_task_11)
*   [Huggingface](https://huggingface.co/datasets/sem_eval_2020_task_11)

## sent_comp

The `sent_comp` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:sent_comp')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/sent_comp)
*   [Huggingface](https://huggingface.co/datasets/sent_comp)

## senti_lex

The `senti_lex` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:senti_lex')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/senti_lex)
*   [Huggingface](https://huggingface.co/datasets/senti_lex)

## senti_ws

The `senti_ws` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:senti_ws')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/senti_ws)
*   [Huggingface](https://huggingface.co/datasets/senti_ws)

## sentiment140

The `sentiment140` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:sentiment140')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/sentiment140)
*   [Huggingface](https://huggingface.co/datasets/sentiment140)

## sepedi_ner

The `sepedi_ner` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:sepedi_ner')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/sepedi_ner)
*   [Huggingface](https://huggingface.co/datasets/sepedi_ner)

## sesotho_ner_corpus

The `sesotho_ner_corpus` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:sesotho_ner_corpus')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/sesotho_ner_corpus)
*   [Huggingface](https://huggingface.co/datasets/sesotho_ner_corpus)

## setimes

The `setimes` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:setimes')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/setimes)
*   [Huggingface](https://huggingface.co/datasets/setimes)

## setswana_ner_corpus

The `setswana_ner_corpus` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:setswana_ner_corpus')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/setswana_ner_corpus)
*   [Huggingface](https://huggingface.co/datasets/setswana_ner_corpus)

## sharc

The `sharc` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:sharc')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/sharc)
*   [Huggingface](https://huggingface.co/datasets/sharc)

## sharc_modified

The `sharc_modified` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:sharc_modified')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/sharc_modified)
*   [Huggingface](https://huggingface.co/datasets/sharc_modified)

## sick

The `sick` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:sick')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/sick)
*   [Huggingface](https://huggingface.co/datasets/sick)

## silicone

The `silicone` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:silicone')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/silicone)
*   [Huggingface](https://huggingface.co/datasets/silicone)

## simple_questions_v2

The `simple_questions_v2` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:simple_questions_v2')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/simple_questions_v2)
*   [Huggingface](https://huggingface.co/datasets/simple_questions_v2)

## siswati_ner_corpus

The `siswati_ner_corpus` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:siswati_ner_corpus')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/siswati_ner_corpus)
*   [Huggingface](https://huggingface.co/datasets/siswati_ner_corpus)

## smartdata

The `smartdata` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:smartdata')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/smartdata)
*   [Huggingface](https://huggingface.co/datasets/smartdata)

## sms_spam

The `sms_spam` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:sms_spam')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/sms_spam)
*   [Huggingface](https://huggingface.co/datasets/sms_spam)

## snips_built_in_intents

The `snips_built_in_intents` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:snips_built_in_intents')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/snips_built_in_intents)
*   [Huggingface](https://huggingface.co/datasets/snips_built_in_intents)

## snli

The `snli` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:snli')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/snli)
*   [Huggingface](https://huggingface.co/datasets/snli)

## snow_simplified_japanese_corpus

The `snow_simplified_japanese_corpus` dataset in the `huggingface` namespace can
be loaded as follows:

```python
dataset = tfds.load('huggingface:snow_simplified_japanese_corpus')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/snow_simplified_japanese_corpus)
*   [Huggingface](https://huggingface.co/datasets/snow_simplified_japanese_corpus)

## so_stacksample

The `so_stacksample` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:so_stacksample')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/so_stacksample)
*   [Huggingface](https://huggingface.co/datasets/so_stacksample)

## social_bias_frames

The `social_bias_frames` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:social_bias_frames')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/social_bias_frames)
*   [Huggingface](https://huggingface.co/datasets/social_bias_frames)

## social_i_qa

The `social_i_qa` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:social_i_qa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/social_i_qa)
*   [Huggingface](https://huggingface.co/datasets/social_i_qa)

## sofc_materials_articles

The `sofc_materials_articles` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:sofc_materials_articles')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/sofc_materials_articles)
*   [Huggingface](https://huggingface.co/datasets/sofc_materials_articles)

## sogou_news

The `sogou_news` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:sogou_news')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/sogou_news)
*   [Huggingface](https://huggingface.co/datasets/sogou_news)

## spanish_billion_words

The `spanish_billion_words` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:spanish_billion_words')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/spanish_billion_words)
*   [Huggingface](https://huggingface.co/datasets/spanish_billion_words)

## spc

The `spc` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:spc')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/spc)
*   [Huggingface](https://huggingface.co/datasets/spc)

## species_800

The `species_800` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:species_800')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/species_800)
*   [Huggingface](https://huggingface.co/datasets/species_800)

## speech_commands

The `speech_commands` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:speech_commands')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/speech_commands)
*   [Huggingface](https://huggingface.co/datasets/speech_commands)

## spider

The `spider` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:spider')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/spider)
*   [Huggingface](https://huggingface.co/datasets/spider)

## squad

The `squad` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:squad')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/squad)
*   [Huggingface](https://huggingface.co/datasets/squad)

## squad_adversarial

The `squad_adversarial` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:squad_adversarial')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/squad_adversarial)
*   [Huggingface](https://huggingface.co/datasets/squad_adversarial)

## squad_es

The `squad_es` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:squad_es')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/squad_es)
*   [Huggingface](https://huggingface.co/datasets/squad_es)

## squad_it

The `squad_it` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:squad_it')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/squad_it)
*   [Huggingface](https://huggingface.co/datasets/squad_it)

## squad_kor_v1

The `squad_kor_v1` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:squad_kor_v1')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/squad_kor_v1)
*   [Huggingface](https://huggingface.co/datasets/squad_kor_v1)

## squad_kor_v2

The `squad_kor_v2` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:squad_kor_v2')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/squad_kor_v2)
*   [Huggingface](https://huggingface.co/datasets/squad_kor_v2)

## squad_v1_pt

The `squad_v1_pt` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:squad_v1_pt')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/squad_v1_pt)
*   [Huggingface](https://huggingface.co/datasets/squad_v1_pt)

## squad_v2

The `squad_v2` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:squad_v2')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/squad_v2)
*   [Huggingface](https://huggingface.co/datasets/squad_v2)

## squadshifts

The `squadshifts` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:squadshifts')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/squadshifts)
*   [Huggingface](https://huggingface.co/datasets/squadshifts)

## srwac

The `srwac` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:srwac')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/srwac)
*   [Huggingface](https://huggingface.co/datasets/srwac)

## sst

The `sst` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:sst')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/sst)
*   [Huggingface](https://huggingface.co/datasets/sst)

## stereoset

The `stereoset` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:stereoset')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/stereoset)
*   [Huggingface](https://huggingface.co/datasets/stereoset)

## story_cloze

The `story_cloze` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:story_cloze')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/story_cloze)
*   [Huggingface](https://huggingface.co/datasets/story_cloze)

## stsb_mt_sv

The `stsb_mt_sv` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:stsb_mt_sv')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/stsb_mt_sv)
*   [Huggingface](https://huggingface.co/datasets/stsb_mt_sv)

## stsb_multi_mt

The `stsb_multi_mt` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:stsb_multi_mt')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/stsb_multi_mt)
*   [Huggingface](https://huggingface.co/datasets/stsb_multi_mt)

## style_change_detection

The `style_change_detection` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:style_change_detection')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/style_change_detection)
*   [Huggingface](https://huggingface.co/datasets/style_change_detection)

## subjqa

The `subjqa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:subjqa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/subjqa)
*   [Huggingface](https://huggingface.co/datasets/subjqa)

## super_glue

The `super_glue` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:super_glue')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/super_glue)
*   [Huggingface](https://huggingface.co/datasets/super_glue)

## superb

The `superb` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:superb')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/superb)
*   [Huggingface](https://huggingface.co/datasets/superb)

## swag

The `swag` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:swag')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/swag)
*   [Huggingface](https://huggingface.co/datasets/swag)

## swahili

The `swahili` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:swahili')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/swahili)
*   [Huggingface](https://huggingface.co/datasets/swahili)

## swahili_news

The `swahili_news` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:swahili_news')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/swahili_news)
*   [Huggingface](https://huggingface.co/datasets/swahili_news)

## swda

The `swda` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:swda')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/swda)
*   [Huggingface](https://huggingface.co/datasets/swda)

## swedish_medical_ner

The `swedish_medical_ner` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:swedish_medical_ner')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/swedish_medical_ner)
*   [Huggingface](https://huggingface.co/datasets/swedish_medical_ner)

## swedish_ner_corpus

The `swedish_ner_corpus` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:swedish_ner_corpus')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/swedish_ner_corpus)
*   [Huggingface](https://huggingface.co/datasets/swedish_ner_corpus)

## swedish_reviews

The `swedish_reviews` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:swedish_reviews')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/swedish_reviews)
*   [Huggingface](https://huggingface.co/datasets/swedish_reviews)

## swiss_judgment_prediction

The `swiss_judgment_prediction` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:swiss_judgment_prediction')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/swiss_judgment_prediction)
*   [Huggingface](https://huggingface.co/datasets/swiss_judgment_prediction)

## tab_fact

The `tab_fact` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:tab_fact')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/tab_fact)
*   [Huggingface](https://huggingface.co/datasets/tab_fact)

## tamilmixsentiment

The `tamilmixsentiment` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:tamilmixsentiment')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/tamilmixsentiment)
*   [Huggingface](https://huggingface.co/datasets/tamilmixsentiment)

## tanzil

The `tanzil` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:tanzil')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/tanzil)
*   [Huggingface](https://huggingface.co/datasets/tanzil)

## tapaco

The `tapaco` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:tapaco')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/tapaco)
*   [Huggingface](https://huggingface.co/datasets/tapaco)

## tashkeela

The `tashkeela` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:tashkeela')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/tashkeela)
*   [Huggingface](https://huggingface.co/datasets/tashkeela)

## taskmaster1

The `taskmaster1` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:taskmaster1')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/taskmaster1)
*   [Huggingface](https://huggingface.co/datasets/taskmaster1)

## taskmaster2

The `taskmaster2` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:taskmaster2')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/taskmaster2)
*   [Huggingface](https://huggingface.co/datasets/taskmaster2)

## taskmaster3

The `taskmaster3` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:taskmaster3')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/taskmaster3)
*   [Huggingface](https://huggingface.co/datasets/taskmaster3)

## tatoeba

The `tatoeba` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:tatoeba')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/tatoeba)
*   [Huggingface](https://huggingface.co/datasets/tatoeba)

## ted_hrlr

The `ted_hrlr` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:ted_hrlr')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ted_hrlr)
*   [Huggingface](https://huggingface.co/datasets/ted_hrlr)

## ted_iwlst2013

The `ted_iwlst2013` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:ted_iwlst2013')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ted_iwlst2013)
*   [Huggingface](https://huggingface.co/datasets/ted_iwlst2013)

## ted_multi

The `ted_multi` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:ted_multi')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ted_multi)
*   [Huggingface](https://huggingface.co/datasets/ted_multi)

## ted_talks_iwslt

The `ted_talks_iwslt` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:ted_talks_iwslt')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ted_talks_iwslt)
*   [Huggingface](https://huggingface.co/datasets/ted_talks_iwslt)

## telugu_books

The `telugu_books` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:telugu_books')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/telugu_books)
*   [Huggingface](https://huggingface.co/datasets/telugu_books)

## telugu_news

The `telugu_news` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:telugu_news')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/telugu_news)
*   [Huggingface](https://huggingface.co/datasets/telugu_news)

## tep_en_fa_para

The `tep_en_fa_para` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:tep_en_fa_para')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/tep_en_fa_para)
*   [Huggingface](https://huggingface.co/datasets/tep_en_fa_para)

## thai_toxicity_tweet

The `thai_toxicity_tweet` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:thai_toxicity_tweet')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/thai_toxicity_tweet)
*   [Huggingface](https://huggingface.co/datasets/thai_toxicity_tweet)

## thainer

The `thainer` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:thainer')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/thainer)
*   [Huggingface](https://huggingface.co/datasets/thainer)

## thaiqa_squad

The `thaiqa_squad` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:thaiqa_squad')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/thaiqa_squad)
*   [Huggingface](https://huggingface.co/datasets/thaiqa_squad)

## thaisum

The `thaisum` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:thaisum')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/thaisum)
*   [Huggingface](https://huggingface.co/datasets/thaisum)

## the_pile

The `the_pile` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:the_pile')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/the_pile)
*   [Huggingface](https://huggingface.co/datasets/the_pile)

## the_pile_books3

The `the_pile_books3` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:the_pile_books3')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/the_pile_books3)
*   [Huggingface](https://huggingface.co/datasets/the_pile_books3)

## the_pile_openwebtext2

The `the_pile_openwebtext2` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:the_pile_openwebtext2')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/the_pile_openwebtext2)
*   [Huggingface](https://huggingface.co/datasets/the_pile_openwebtext2)

## the_pile_stack_exchange

The `the_pile_stack_exchange` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:the_pile_stack_exchange')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/the_pile_stack_exchange)
*   [Huggingface](https://huggingface.co/datasets/the_pile_stack_exchange)

## tilde_model

The `tilde_model` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:tilde_model')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/tilde_model)
*   [Huggingface](https://huggingface.co/datasets/tilde_model)

## time_dial

The `time_dial` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:time_dial')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/time_dial)
*   [Huggingface](https://huggingface.co/datasets/time_dial)

## times_of_india_news_headlines

The `times_of_india_news_headlines` dataset in the `huggingface` namespace can
be loaded as follows:

```python
dataset = tfds.load('huggingface:times_of_india_news_headlines')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/times_of_india_news_headlines)
*   [Huggingface](https://huggingface.co/datasets/times_of_india_news_headlines)

## timit_asr

The `timit_asr` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:timit_asr')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/timit_asr)
*   [Huggingface](https://huggingface.co/datasets/timit_asr)

## tiny_shakespeare

The `tiny_shakespeare` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:tiny_shakespeare')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/tiny_shakespeare)
*   [Huggingface](https://huggingface.co/datasets/tiny_shakespeare)

## tlc

The `tlc` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:tlc')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/tlc)
*   [Huggingface](https://huggingface.co/datasets/tlc)

## tmu_gfm_dataset

The `tmu_gfm_dataset` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:tmu_gfm_dataset')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/tmu_gfm_dataset)
*   [Huggingface](https://huggingface.co/datasets/tmu_gfm_dataset)

## totto

The `totto` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:totto')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/totto)
*   [Huggingface](https://huggingface.co/datasets/totto)

## trec

The `trec` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:trec')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/trec)
*   [Huggingface](https://huggingface.co/datasets/trec)

## trivia_qa

The `trivia_qa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:trivia_qa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/trivia_qa)
*   [Huggingface](https://huggingface.co/datasets/trivia_qa)

## tsac

The `tsac` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:tsac')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/tsac)
*   [Huggingface](https://huggingface.co/datasets/tsac)

## ttc4900

The `ttc4900` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:ttc4900')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ttc4900)
*   [Huggingface](https://huggingface.co/datasets/ttc4900)

## tunizi

The `tunizi` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:tunizi')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/tunizi)
*   [Huggingface](https://huggingface.co/datasets/tunizi)

## tuple_ie

The `tuple_ie` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:tuple_ie')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/tuple_ie)
*   [Huggingface](https://huggingface.co/datasets/tuple_ie)

## turk

The `turk` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:turk')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/turk)
*   [Huggingface](https://huggingface.co/datasets/turk)

## turkish_movie_sentiment

The `turkish_movie_sentiment` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:turkish_movie_sentiment')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/turkish_movie_sentiment)
*   [Huggingface](https://huggingface.co/datasets/turkish_movie_sentiment)

## turkish_ner

The `turkish_ner` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:turkish_ner')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/turkish_ner)
*   [Huggingface](https://huggingface.co/datasets/turkish_ner)

## turkish_product_reviews

The `turkish_product_reviews` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:turkish_product_reviews')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/turkish_product_reviews)
*   [Huggingface](https://huggingface.co/datasets/turkish_product_reviews)

## turkish_shrinked_ner

The `turkish_shrinked_ner` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:turkish_shrinked_ner')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/turkish_shrinked_ner)
*   [Huggingface](https://huggingface.co/datasets/turkish_shrinked_ner)

## turku_ner_corpus

The `turku_ner_corpus` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:turku_ner_corpus')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/turku_ner_corpus)
*   [Huggingface](https://huggingface.co/datasets/turku_ner_corpus)

## tweet_eval

The `tweet_eval` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:tweet_eval')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/tweet_eval)
*   [Huggingface](https://huggingface.co/datasets/tweet_eval)

## tweet_qa

The `tweet_qa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:tweet_qa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/tweet_qa)
*   [Huggingface](https://huggingface.co/datasets/tweet_qa)

## tweets_ar_en_parallel

The `tweets_ar_en_parallel` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:tweets_ar_en_parallel')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/tweets_ar_en_parallel)
*   [Huggingface](https://huggingface.co/datasets/tweets_ar_en_parallel)

## tweets_hate_speech_detection

The `tweets_hate_speech_detection` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:tweets_hate_speech_detection')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/tweets_hate_speech_detection)
*   [Huggingface](https://huggingface.co/datasets/tweets_hate_speech_detection)

## twi_text_c3

The `twi_text_c3` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:twi_text_c3')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/twi_text_c3)
*   [Huggingface](https://huggingface.co/datasets/twi_text_c3)

## twi_wordsim353

The `twi_wordsim353` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:twi_wordsim353')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/twi_wordsim353)
*   [Huggingface](https://huggingface.co/datasets/twi_wordsim353)

## tydiqa

The `tydiqa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:tydiqa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/tydiqa)
*   [Huggingface](https://huggingface.co/datasets/tydiqa)

## ubuntu_dialogs_corpus

The `ubuntu_dialogs_corpus` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:ubuntu_dialogs_corpus')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ubuntu_dialogs_corpus)
*   [Huggingface](https://huggingface.co/datasets/ubuntu_dialogs_corpus)

## udhr

The `udhr` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:udhr')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/udhr)
*   [Huggingface](https://huggingface.co/datasets/udhr)

## um005

The `um005` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:um005')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/um005)
*   [Huggingface](https://huggingface.co/datasets/um005)

## un_ga

The `un_ga` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:un_ga')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/un_ga)
*   [Huggingface](https://huggingface.co/datasets/un_ga)

## un_multi

The `un_multi` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:un_multi')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/un_multi)
*   [Huggingface](https://huggingface.co/datasets/un_multi)

## un_pc

The `un_pc` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:un_pc')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/un_pc)
*   [Huggingface](https://huggingface.co/datasets/un_pc)

## universal_dependencies

The `universal_dependencies` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:universal_dependencies')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/universal_dependencies)
*   [Huggingface](https://huggingface.co/datasets/universal_dependencies)

## universal_morphologies

The `universal_morphologies` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:universal_morphologies')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/universal_morphologies)
*   [Huggingface](https://huggingface.co/datasets/universal_morphologies)

## urdu_fake_news

The `urdu_fake_news` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:urdu_fake_news')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/urdu_fake_news)
*   [Huggingface](https://huggingface.co/datasets/urdu_fake_news)

## urdu_sentiment_corpus

The `urdu_sentiment_corpus` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:urdu_sentiment_corpus')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/urdu_sentiment_corpus)
*   [Huggingface](https://huggingface.co/datasets/urdu_sentiment_corpus)

## vivos

The `vivos` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:vivos')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/vivos)
*   [Huggingface](https://huggingface.co/datasets/vivos)

## web_nlg

The `web_nlg` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:web_nlg')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/web_nlg)
*   [Huggingface](https://huggingface.co/datasets/web_nlg)

## web_of_science

The `web_of_science` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:web_of_science')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/web_of_science)
*   [Huggingface](https://huggingface.co/datasets/web_of_science)

## web_questions

The `web_questions` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:web_questions')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/web_questions)
*   [Huggingface](https://huggingface.co/datasets/web_questions)

## weibo_ner

The `weibo_ner` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:weibo_ner')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/weibo_ner)
*   [Huggingface](https://huggingface.co/datasets/weibo_ner)

## wi_locness

The `wi_locness` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:wi_locness')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wi_locness)
*   [Huggingface](https://huggingface.co/datasets/wi_locness)

## wiki40b

The `wiki40b` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wiki40b')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wiki40b)
*   [Huggingface](https://huggingface.co/datasets/wiki40b)

## wiki_asp

The `wiki_asp` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wiki_asp')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wiki_asp)
*   [Huggingface](https://huggingface.co/datasets/wiki_asp)

## wiki_atomic_edits

The `wiki_atomic_edits` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:wiki_atomic_edits')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wiki_atomic_edits)
*   [Huggingface](https://huggingface.co/datasets/wiki_atomic_edits)

## wiki_auto

The `wiki_auto` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wiki_auto')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wiki_auto)
*   [Huggingface](https://huggingface.co/datasets/wiki_auto)

## wiki_bio

The `wiki_bio` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wiki_bio')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wiki_bio)
*   [Huggingface](https://huggingface.co/datasets/wiki_bio)

## wiki_dpr

The `wiki_dpr` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wiki_dpr')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wiki_dpr)
*   [Huggingface](https://huggingface.co/datasets/wiki_dpr)

## wiki_hop

The `wiki_hop` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wiki_hop')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wiki_hop)
*   [Huggingface](https://huggingface.co/datasets/wiki_hop)

## wiki_lingua

The `wiki_lingua` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:wiki_lingua')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wiki_lingua)
*   [Huggingface](https://huggingface.co/datasets/wiki_lingua)

## wiki_movies

The `wiki_movies` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:wiki_movies')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wiki_movies)
*   [Huggingface](https://huggingface.co/datasets/wiki_movies)

## wiki_qa

The `wiki_qa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wiki_qa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wiki_qa)
*   [Huggingface](https://huggingface.co/datasets/wiki_qa)

## wiki_qa_ar

The `wiki_qa_ar` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:wiki_qa_ar')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wiki_qa_ar)
*   [Huggingface](https://huggingface.co/datasets/wiki_qa_ar)

## wiki_snippets

The `wiki_snippets` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:wiki_snippets')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wiki_snippets)
*   [Huggingface](https://huggingface.co/datasets/wiki_snippets)

## wiki_source

The `wiki_source` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:wiki_source')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wiki_source)
*   [Huggingface](https://huggingface.co/datasets/wiki_source)

## wiki_split

The `wiki_split` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:wiki_split')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wiki_split)
*   [Huggingface](https://huggingface.co/datasets/wiki_split)

## wiki_summary

The `wiki_summary` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:wiki_summary')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wiki_summary)
*   [Huggingface](https://huggingface.co/datasets/wiki_summary)

## wikiann

The `wikiann` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wikiann')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wikiann)
*   [Huggingface](https://huggingface.co/datasets/wikiann)

## wikicorpus

The `wikicorpus` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:wikicorpus')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wikicorpus)
*   [Huggingface](https://huggingface.co/datasets/wikicorpus)

## wikihow

The `wikihow` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wikihow')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wikihow)
*   [Huggingface](https://huggingface.co/datasets/wikihow)

## wikipedia

The `wikipedia` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wikipedia')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wikipedia)
*   [Huggingface](https://huggingface.co/datasets/wikipedia)

## wikisql

The `wikisql` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wikisql')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wikisql)
*   [Huggingface](https://huggingface.co/datasets/wikisql)

## wikitext

The `wikitext` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wikitext')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wikitext)
*   [Huggingface](https://huggingface.co/datasets/wikitext)

## wikitext_tl39

The `wikitext_tl39` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:wikitext_tl39')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wikitext_tl39)
*   [Huggingface](https://huggingface.co/datasets/wikitext_tl39)

## wili_2018

The `wili_2018` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wili_2018')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wili_2018)
*   [Huggingface](https://huggingface.co/datasets/wili_2018)

## wino_bias

The `wino_bias` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wino_bias')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wino_bias)
*   [Huggingface](https://huggingface.co/datasets/wino_bias)

## winograd_wsc

The `winograd_wsc` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:winograd_wsc')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/winograd_wsc)
*   [Huggingface](https://huggingface.co/datasets/winograd_wsc)

## winogrande

The `winogrande` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:winogrande')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/winogrande)
*   [Huggingface](https://huggingface.co/datasets/winogrande)

## wiqa

The `wiqa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wiqa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wiqa)
*   [Huggingface](https://huggingface.co/datasets/wiqa)

## wisesight1000

The `wisesight1000` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:wisesight1000')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wisesight1000)
*   [Huggingface](https://huggingface.co/datasets/wisesight1000)

## wisesight_sentiment

The `wisesight_sentiment` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:wisesight_sentiment')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wisesight_sentiment)
*   [Huggingface](https://huggingface.co/datasets/wisesight_sentiment)

## wmt14

The `wmt14` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wmt14')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wmt14)
*   [Huggingface](https://huggingface.co/datasets/wmt14)

## wmt15

The `wmt15` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wmt15')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wmt15)
*   [Huggingface](https://huggingface.co/datasets/wmt15)

## wmt16

The `wmt16` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wmt16')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wmt16)
*   [Huggingface](https://huggingface.co/datasets/wmt16)

## wmt17

The `wmt17` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wmt17')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wmt17)
*   [Huggingface](https://huggingface.co/datasets/wmt17)

## wmt18

The `wmt18` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wmt18')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wmt18)
*   [Huggingface](https://huggingface.co/datasets/wmt18)

## wmt19

The `wmt19` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wmt19')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wmt19)
*   [Huggingface](https://huggingface.co/datasets/wmt19)

## wmt20_mlqe_task1

The `wmt20_mlqe_task1` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:wmt20_mlqe_task1')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wmt20_mlqe_task1)
*   [Huggingface](https://huggingface.co/datasets/wmt20_mlqe_task1)

## wmt20_mlqe_task2

The `wmt20_mlqe_task2` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:wmt20_mlqe_task2')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wmt20_mlqe_task2)
*   [Huggingface](https://huggingface.co/datasets/wmt20_mlqe_task2)

## wmt20_mlqe_task3

The `wmt20_mlqe_task3` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:wmt20_mlqe_task3')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wmt20_mlqe_task3)
*   [Huggingface](https://huggingface.co/datasets/wmt20_mlqe_task3)

## wmt_t2t

The `wmt_t2t` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wmt_t2t')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wmt_t2t)
*   [Huggingface](https://huggingface.co/datasets/wmt_t2t)

## wnut_17

The `wnut_17` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wnut_17')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wnut_17)
*   [Huggingface](https://huggingface.co/datasets/wnut_17)

## wongnai_reviews

The `wongnai_reviews` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:wongnai_reviews')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wongnai_reviews)
*   [Huggingface](https://huggingface.co/datasets/wongnai_reviews)

## woz_dialogue

The `woz_dialogue` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:woz_dialogue')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/woz_dialogue)
*   [Huggingface](https://huggingface.co/datasets/woz_dialogue)

## wrbsc

The `wrbsc` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:wrbsc')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wrbsc)
*   [Huggingface](https://huggingface.co/datasets/wrbsc)

## x_stance

The `x_stance` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:x_stance')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/x_stance)
*   [Huggingface](https://huggingface.co/datasets/x_stance)

## xcopa

The `xcopa` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:xcopa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/xcopa)
*   [Huggingface](https://huggingface.co/datasets/xcopa)

## xcsr

The `xcsr` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:xcsr')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/xcsr)
*   [Huggingface](https://huggingface.co/datasets/xcsr)

## xed_en_fi

The `xed_en_fi` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:xed_en_fi')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/xed_en_fi)
*   [Huggingface](https://huggingface.co/datasets/xed_en_fi)

## xglue

The `xglue` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:xglue')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/xglue)
*   [Huggingface](https://huggingface.co/datasets/xglue)

## xnli

The `xnli` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:xnli')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/xnli)
*   [Huggingface](https://huggingface.co/datasets/xnli)

## xor_tydi_qa

The `xor_tydi_qa` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:xor_tydi_qa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/xor_tydi_qa)
*   [Huggingface](https://huggingface.co/datasets/xor_tydi_qa)

## xquad

The `xquad` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:xquad')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/xquad)
*   [Huggingface](https://huggingface.co/datasets/xquad)

## xquad_r

The `xquad_r` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:xquad_r')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/xquad_r)
*   [Huggingface](https://huggingface.co/datasets/xquad_r)

## xsum

The `xsum` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:xsum')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/xsum)
*   [Huggingface](https://huggingface.co/datasets/xsum)

## xsum_factuality

The `xsum_factuality` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:xsum_factuality')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/xsum_factuality)
*   [Huggingface](https://huggingface.co/datasets/xsum_factuality)

## xtreme

The `xtreme` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:xtreme')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/xtreme)
*   [Huggingface](https://huggingface.co/datasets/xtreme)

## yahoo_answers_qa

The `yahoo_answers_qa` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:yahoo_answers_qa')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/yahoo_answers_qa)
*   [Huggingface](https://huggingface.co/datasets/yahoo_answers_qa)

## yahoo_answers_topics

The `yahoo_answers_topics` dataset in the `huggingface` namespace can be loaded
as follows:

```python
dataset = tfds.load('huggingface:yahoo_answers_topics')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/yahoo_answers_topics)
*   [Huggingface](https://huggingface.co/datasets/yahoo_answers_topics)

## yelp_polarity

The `yelp_polarity` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:yelp_polarity')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/yelp_polarity)
*   [Huggingface](https://huggingface.co/datasets/yelp_polarity)

## yelp_review_full

The `yelp_review_full` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:yelp_review_full')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/yelp_review_full)
*   [Huggingface](https://huggingface.co/datasets/yelp_review_full)

## yoruba_bbc_topics

The `yoruba_bbc_topics` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:yoruba_bbc_topics')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/yoruba_bbc_topics)
*   [Huggingface](https://huggingface.co/datasets/yoruba_bbc_topics)

## yoruba_gv_ner

The `yoruba_gv_ner` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:yoruba_gv_ner')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/yoruba_gv_ner)
*   [Huggingface](https://huggingface.co/datasets/yoruba_gv_ner)

## yoruba_text_c3

The `yoruba_text_c3` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:yoruba_text_c3')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/yoruba_text_c3)
*   [Huggingface](https://huggingface.co/datasets/yoruba_text_c3)

## yoruba_wordsim353

The `yoruba_wordsim353` dataset in the `huggingface` namespace can be loaded as
follows:

```python
dataset = tfds.load('huggingface:yoruba_wordsim353')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/yoruba_wordsim353)
*   [Huggingface](https://huggingface.co/datasets/yoruba_wordsim353)

## youtube_caption_corrections

The `youtube_caption_corrections` dataset in the `huggingface` namespace can be
loaded as follows:

```python
dataset = tfds.load('huggingface:youtube_caption_corrections')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/youtube_caption_corrections)
*   [Huggingface](https://huggingface.co/datasets/youtube_caption_corrections)

## zest

The `zest` dataset in the `huggingface` namespace can be loaded as follows:

```python
dataset = tfds.load('huggingface:zest')
```

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/zest)
*   [Huggingface](https://huggingface.co/datasets/zest)
